/// Checks that each [`COLS_VALUE`] json str slice is correct ([`WalTheme`]) and parseable.
#[test]
fn check_themes() {
    for i in COLS_VALUE {
        serde_json::from_str::<crate::themes::WalTheme>(i).expect("json format MUST be correct");
    }
}

/// Names of all the corresponding [`COLS_VALUE`]. The order matters since they got the same index
/// + 1, since this array has one more entry: "random", which acts as a keyword, a COLS_KEY without
/// COLS_VALUE.
pub const COLS_KEY: [&str; 259] = [
"3024-dark",
"3024-light",
"ashes-dark",
"ashes-light",
"base16-3024",
"base16-apathy",
"base16-ashes",
"base16-atelier-cave-dark",
"base16-atelier-cave-light",
"base16-atelier-dune-dark",
"base16-atelier-dune-light",
"base16-atelier-estuary-dark",
"base16-atelier-estuary-light",
"base16-atelier-forest-dark",
"base16-atelier-forest-light",
"base16-atelier-heath-dark",
"base16-atelier-heath-light",
"base16-atelier-lakeside-dark",
"base16-atelier-lakeside-light",
"base16-atelier-plateau-dark",
"base16-atelier-plateau-light",
"base16-atelier-savanna-dark",
"base16-atelier-savanna-light",
"base16-atelier-seaside-dark",
"base16-atelier-seaside-light",
"base16-atelier-sulphurpool-dark",
"base16-atelier-sulphurpool-light",
"base16-bespin",
"base16-black-metal-bathory",
"base16-black-metal-burzum",
"base16-black-metal-funeral",
"base16-black-metal-gorgoroth",
"base16-black-metal-immortal",
"base16-black-metal",
"base16-black-metal-khold",
"base16-black-metal-marduk",
"base16-black-metal-mayhem",
"base16-black-metal-nile",
"base16-black-metal-venom",
"base16-brewer",
"base16-bright",
"base16-brushtrees",
"base16-chalk",
"base16-circus",
"base16-classic-dark",
"base16-classic-light",
"base16-codeschool",
"base16-cupcake",
"base16-cupertino",
"base16-default-dark",
"base16-default-light",
"base16-dracula",
"base16-eighties",
"base16-embers",
"base16-flat",
"base16-github",
"base16-google-dark",
"base16-google-light",
"base16-grayscale-dark",
"base16-grayscale-light",
"base16-greenscreen",
"base16-gruvbox-hard-dark",
"base16-gruvbox-hard-light",
"base16-gruvbox-medium-dark",
"base16-gruvbox-medium-light",
"base16-gruvbox-pale",
"base16-gruvbox-soft-dark",
"base16-gruvbox-soft-light",
"base16-harmonic-dark",
"base16-harmonic-light",
"base16-hopscotch",
"base16-icy",
"base16-irblack",
"base16-isotope",
"base16-macintosh",
"base16-marrakesh",
"base16-materia",
"base16-materialer-dark",
"base16-materialer-light",
"base16-material",
"base16-material-palenight",
"base16-mellow-purple",
"base16-mexico",
"base16-mocha",
"base16-monokai",
"base16-nord",
"base16-oceanicnext",
"base16-ocean",
"base16-onedark",
"base16-one",
"base16-outrun",
"base16-paraiso",
"base16-phd",
"base16-pico",
"base16-pop",
"base16-porple",
"base16-railscasts",
"base16-rebecca",
"base16-seti",
"base16-shapeshifter",
"base16-snazzy",
"base16-solarflare",
"base16-solarized-dark",
"base16-solarized-light",
"base16-spacemacs",
"base16-summerfruit-dark",
"base16-summerfruit-light",
"base16-tomorrow",
"base16-tomorrow-night",
"base16tooth",
"base16-tube",
"base16-twilight",
"base16-unikitty-dark",
"base16-unikitty-light",
"base16-woodland",
"base16-xcode-dusk",
"base16-zenburn",
"darktooth",
"dkeg-5725",
"dkeg-amiox",
"dkeg-bark",
"dkeg-blend",
"dkeg-blok",
"dkeg-bluetype",
"dkeg-blumune",
"dkeg-book",
"dkeg-branch",
"dkeg-brownstone",
"dkeg-bulb",
"dkeg-chaires",
"dkeg-coco",
"dkeg-corduroy",
"dkeg-depth",
"dkeg-designr",
"dkeg-diner",
"dkeg-escen",
"dkeg-fendr",
"dkeg-flapr",
"dkeg-forst",
"dkeg-fury",
"dkeg-harbing",
"dkeg-kit",
"dkeg-leaf",
"dkeg-link",
"dkeg-mattd",
"dkeg-novmbr",
"dkeg-owl",
"dkeg-paints",
"dkeg-parkd",
"dkeg-pastely",
"dkeg-petal",
"dkeg-poly",
"dkeg-prevail",
"dkeg-provrb",
"dkeg-raild",
"dkeg-relax",
"dkeg-scag",
"dkeg-scape",
"dkeg-shade",
"dkeg-simplicity",
"dkeg-skigh",
"dkeg-slate",
"dkeg-soundwave",
"dkeg-spire",
"dkeg-sprout",
"dkeg-squares",
"dkeg-stv",
"dkeg-subtle",
"dkeg-sundr",
"dkeg-tealights",
"dkeg-traffic",
"dkeg-transposet",
"dkeg-urban",
"dkeg-vans",
"dkeg-victory",
"dkeg-view",
"dkeg-wintry",
"github",
"gruvbox",
"hybrid-material",
"monokai",
"sexy-astromouse",
"sexy-belge",
"sexy-bitmute",
"sexy-cloud",
"sexy-colorfulcolors",
"sexy-dawn",
"sexy-deafened",
"sexy-derp",
"sexy-digerati",
"sexy-doomicideocean",
"sexy-dotshare",
"sexy-dwmrob",
"sexy-eqie6",
"sexy-euphrasia",
"sexy-gjm",
"sexy-gnometerm",
"sexy-gotham",
"sexy-gslob-nature-suede",
"sexy-hund",
"sexy-hybrid",
"sexy-insignificato",
"sexy-invisibone",
"sexy-jasonwryan",
"sexy-kasugano",
"sexy-material",
"sexy-mikado",
"sexy-mikazuki",
"sexy-monokai",
"sexy-mostly-bright",
"sexy-muse",
"sexy-nancy",
"sexy-navy-and-ivory",
"sexy-neon",
"sexy-numixdarkest",
"sexy-orangish",
"sexy-parker_brothers",
"sexy-phrak1",
"sexy-pretty-and-pastel",
"sexy-rasi",
"sexy-rezza",
"sexy-rydgel",
"sexy-s3r0-modified",
"sexy-sexcolors",
"sexy-simple_rainbow",
"sexy-splurge",
"sexy-swayr",
"sexy-sweetlove",
"sexy-tangoesque",
"sexy-tango",
"sexy-tartan",
"sexy-theme2",
"sexy-thwump",
"sexy-tlh",
"sexy-trim-yer-beard",
"sexy-user-77-mashup-colors",
"sexy-vacuous2",
"sexy-visibone-alt-2",
"sexy-visibone",
"sexy-x-dotshare",
"sexy-zenburn",
"solarized-dark",
"solarized-light",
"tempus_autumn",
"tempus_dawn",
"tempus_dusk",
"tempus_fugit",
"tempus_future",
"tempus_past",
"tempus_rift",
"tempus_spring",
"tempus_summer",
"tempus_totus",
"tempus_warp",
"tempus_winter",
"vscode",
"zenburn",
"srcery",
"random", //not an actual scheme but a keyword.
];


/// JSON as [`&str`]s of the colorschemes
pub const COLS_VALUE: [&str; 258] = [
"\
{\"special\":{\"background\":\"#090300\",\"foreground\":\"#a5a2a2\",\"cursor\":\"#db2d20\"},\"colors\":{\"color0\":\"#090300\",\"color1\":\"#db2d20\",\"color2\":\"#01a252\",\"color3\":\"#fded02\",\"color4\":\"#01a0e4\",\"color5\":\"#a16a94\",\"color6\":\"#b5e4f4\",\"color7\":\"#a5a2a2\",\"color8\":\"#5c5855\",\"color9\":\"#db2d20\",\"color10\":\"#01a252\",\"color11\":\"#fded02\",\"color12\":\"#01a0e4\",\"color13\":\"#a16a94\",\"color14\":\"#b5e4f4\",\"color15\":\"#f7f7f7\"}}",


"\
{\"special\":{\"background\":\"#f7f7f7\",\"foreground\":\"#090300\",\"cursor\":\"#db2d20\"},\"colors\":{\"color0\":\"#f7f7f7\",\"color1\":\"#db2d20\",\"color2\":\"#01a252\",\"color3\":\"#fded02\",\"color4\":\"#01a0e4\",\"color5\":\"#a16a94\",\"color6\":\"#b5e4f4\",\"color7\":\"#090300\",\"color8\":\"#5c5855\",\"color9\":\"#db2d20\",\"color10\":\"#01a252\",\"color11\":\"#fded02\",\"color12\":\"#01a0e4\",\"color13\":\"#a16a94\",\"color14\":\"#b5e4f4\",\"color15\":\"#090300\"}}",


"\
{\"special\":{\"background\":\"#1c2023\",\"foreground\":\"#c7ccd1\",\"cursor\":\"#c7ae95\"},\"colors\":{\"color0\":\"#1c2023\",\"color1\":\"#c7ae95\",\"color2\":\"#95c7ae\",\"color3\":\"#aec795\",\"color4\":\"#ae95c7\",\"color5\":\"#c795ae\",\"color6\":\"#95aec7\",\"color7\":\"#c7ccd1\",\"color8\":\"#747c84\",\"color9\":\"#c7ae95\",\"color10\":\"#95c7ae\",\"color11\":\"#aec795\",\"color12\":\"#ae95c7\",\"color13\":\"#c795ae\",\"color14\":\"#95aec7\",\"color15\":\"#f3f4f5\"}}",


"\
{\"special\":{\"background\":\"#f3f4f5\",\"foreground\":\"#565e65\",\"cursor\":\"#c7ae95\"},\"colors\":{\"color0\":\"#f3f4f5\",\"color1\":\"#c7ae95\",\"color2\":\"#95c7ae\",\"color3\":\"#aec795\",\"color4\":\"#ae95c7\",\"color5\":\"#c795ae\",\"color6\":\"#95aec7\",\"color7\":\"#1c2023\",\"color8\":\"#747c84\",\"color9\":\"#c7ae95\",\"color10\":\"#95c7ae\",\"color11\":\"#aec795\",\"color12\":\"#ae95c7\",\"color13\":\"#c795ae\",\"color14\":\"#95aec7\",\"color15\":\"#1c2023\"}}",


"\
{\"special\":{\"background\":\"#090300\",\"foreground\":\"#a5a2a2\",\"cursor\":\"#a5a2a2\"},\"colors\":{\"color0\":\"#090300\",\"color1\":\"#db2d20\",\"color2\":\"#01a252\",\"color3\":\"#fded02\",\"color4\":\"#01a0e4\",\"color5\":\"#a16a94\",\"color6\":\"#b5e4f4\",\"color7\":\"#a5a2a2\",\"color8\":\"#5c5855\",\"color9\":\"#db2d20\",\"color10\":\"#01a252\",\"color11\":\"#fded02\",\"color12\":\"#01a0e4\",\"color13\":\"#a16a94\",\"color14\":\"#b5e4f4\",\"color15\":\"#f7f7f7\"}}",


"\
{\"special\":{\"background\":\"#031A16\",\"foreground\":\"#81B5AC\",\"cursor\":\"#81B5AC\"},\"colors\":{\"color0\":\"#031A16\",\"color1\":\"#3E9688\",\"color2\":\"#883E96\",\"color3\":\"#3E4C96\",\"color4\":\"#96883E\",\"color5\":\"#4C963E\",\"color6\":\"#963E4C\",\"color7\":\"#81B5AC\",\"color8\":\"#2B685E\",\"color9\":\"#3E9688\",\"color10\":\"#883E96\",\"color11\":\"#3E4C96\",\"color12\":\"#96883E\",\"color13\":\"#4C963E\",\"color14\":\"#963E4C\",\"color15\":\"#D2E7E4\"}}",


"\
{\"special\":{\"background\":\"#1C2023\",\"foreground\":\"#C7CCD1\",\"cursor\":\"#C7CCD1\"},\"colors\":{\"color0\":\"#1C2023\",\"color1\":\"#C7AE95\",\"color2\":\"#95C7AE\",\"color3\":\"#AEC795\",\"color4\":\"#AE95C7\",\"color5\":\"#C795AE\",\"color6\":\"#95AEC7\",\"color7\":\"#C7CCD1\",\"color8\":\"#747C84\",\"color9\":\"#C7AE95\",\"color10\":\"#95C7AE\",\"color11\":\"#AEC795\",\"color12\":\"#AE95C7\",\"color13\":\"#C795AE\",\"color14\":\"#95AEC7\",\"color15\":\"#F3F4F5\"}}",


"\
{\"special\":{\"background\":\"#19171c\",\"foreground\":\"#8b8792\",\"cursor\":\"#8b8792\"},\"colors\":{\"color0\":\"#19171c\",\"color1\":\"#be4678\",\"color2\":\"#2a9292\",\"color3\":\"#a06e3b\",\"color4\":\"#576ddb\",\"color5\":\"#955ae7\",\"color6\":\"#398bc6\",\"color7\":\"#8b8792\",\"color8\":\"#655f6d\",\"color9\":\"#be4678\",\"color10\":\"#2a9292\",\"color11\":\"#a06e3b\",\"color12\":\"#576ddb\",\"color13\":\"#955ae7\",\"color14\":\"#398bc6\",\"color15\":\"#efecf4\"}}",


"\
{\"special\":{\"background\":\"#efecf4\",\"foreground\":\"#585260\",\"cursor\":\"#585260\"},\"colors\":{\"color0\":\"#efecf4\",\"color1\":\"#be4678\",\"color2\":\"#2a9292\",\"color3\":\"#a06e3b\",\"color4\":\"#576ddb\",\"color5\":\"#955ae7\",\"color6\":\"#398bc6\",\"color7\":\"#585260\",\"color8\":\"#7e7887\",\"color9\":\"#be4678\",\"color10\":\"#2a9292\",\"color11\":\"#a06e3b\",\"color12\":\"#576ddb\",\"color13\":\"#955ae7\",\"color14\":\"#398bc6\",\"color15\":\"#19171c\"}}",


"\
{\"special\":{\"background\":\"#20201d\",\"foreground\":\"#a6a28c\",\"cursor\":\"#a6a28c\"},\"colors\":{\"color0\":\"#20201d\",\"color1\":\"#d73737\",\"color2\":\"#60ac39\",\"color3\":\"#ae9513\",\"color4\":\"#6684e1\",\"color5\":\"#b854d4\",\"color6\":\"#1fad83\",\"color7\":\"#a6a28c\",\"color8\":\"#7d7a68\",\"color9\":\"#d73737\",\"color10\":\"#60ac39\",\"color11\":\"#ae9513\",\"color12\":\"#6684e1\",\"color13\":\"#b854d4\",\"color14\":\"#1fad83\",\"color15\":\"#fefbec\"}}",


"\
{\"special\":{\"background\":\"#fefbec\",\"foreground\":\"#6e6b5e\",\"cursor\":\"#6e6b5e\"},\"colors\":{\"color0\":\"#fefbec\",\"color1\":\"#d73737\",\"color2\":\"#60ac39\",\"color3\":\"#ae9513\",\"color4\":\"#6684e1\",\"color5\":\"#b854d4\",\"color6\":\"#1fad83\",\"color7\":\"#6e6b5e\",\"color8\":\"#999580\",\"color9\":\"#d73737\",\"color10\":\"#60ac39\",\"color11\":\"#ae9513\",\"color12\":\"#6684e1\",\"color13\":\"#b854d4\",\"color14\":\"#1fad83\",\"color15\":\"#20201d\"}}",


"\
{\"special\":{\"background\":\"#22221b\",\"foreground\":\"#929181\",\"cursor\":\"#929181\"},\"colors\":{\"color0\":\"#22221b\",\"color1\":\"#ba6236\",\"color2\":\"#7d9726\",\"color3\":\"#a5980d\",\"color4\":\"#36a166\",\"color5\":\"#5f9182\",\"color6\":\"#5b9d48\",\"color7\":\"#929181\",\"color8\":\"#6c6b5a\",\"color9\":\"#ba6236\",\"color10\":\"#7d9726\",\"color11\":\"#a5980d\",\"color12\":\"#36a166\",\"color13\":\"#5f9182\",\"color14\":\"#5b9d48\",\"color15\":\"#f4f3ec\"}}",


"\
{\"special\":{\"background\":\"#f4f3ec\",\"foreground\":\"#5f5e4e\",\"cursor\":\"#5f5e4e\"},\"colors\":{\"color0\":\"#f4f3ec\",\"color1\":\"#ba6236\",\"color2\":\"#7d9726\",\"color3\":\"#a5980d\",\"color4\":\"#36a166\",\"color5\":\"#5f9182\",\"color6\":\"#5b9d48\",\"color7\":\"#5f5e4e\",\"color8\":\"#878573\",\"color9\":\"#ba6236\",\"color10\":\"#7d9726\",\"color11\":\"#a5980d\",\"color12\":\"#36a166\",\"color13\":\"#5f9182\",\"color14\":\"#5b9d48\",\"color15\":\"#22221b\"}}",


"\
{\"special\":{\"background\":\"#1b1918\",\"foreground\":\"#a8a19f\",\"cursor\":\"#a8a19f\"},\"colors\":{\"color0\":\"#1b1918\",\"color1\":\"#f22c40\",\"color2\":\"#7b9726\",\"color3\":\"#c38418\",\"color4\":\"#407ee7\",\"color5\":\"#6666ea\",\"color6\":\"#3d97b8\",\"color7\":\"#a8a19f\",\"color8\":\"#766e6b\",\"color9\":\"#f22c40\",\"color10\":\"#7b9726\",\"color11\":\"#c38418\",\"color12\":\"#407ee7\",\"color13\":\"#6666ea\",\"color14\":\"#3d97b8\",\"color15\":\"#f1efee\"}}",


"\
{\"special\":{\"background\":\"#f1efee\",\"foreground\":\"#68615e\",\"cursor\":\"#68615e\"},\"colors\":{\"color0\":\"#f1efee\",\"color1\":\"#f22c40\",\"color2\":\"#7b9726\",\"color3\":\"#c38418\",\"color4\":\"#407ee7\",\"color5\":\"#6666ea\",\"color6\":\"#3d97b8\",\"color7\":\"#68615e\",\"color8\":\"#9c9491\",\"color9\":\"#f22c40\",\"color10\":\"#7b9726\",\"color11\":\"#c38418\",\"color12\":\"#407ee7\",\"color13\":\"#6666ea\",\"color14\":\"#3d97b8\",\"color15\":\"#1b1918\"}}",


"\
{\"special\":{\"background\":\"#1b181b\",\"foreground\":\"#ab9bab\",\"cursor\":\"#ab9bab\"},\"colors\":{\"color0\":\"#1b181b\",\"color1\":\"#ca402b\",\"color2\":\"#918b3b\",\"color3\":\"#bb8a35\",\"color4\":\"#516aec\",\"color5\":\"#7b59c0\",\"color6\":\"#159393\",\"color7\":\"#ab9bab\",\"color8\":\"#776977\",\"color9\":\"#ca402b\",\"color10\":\"#918b3b\",\"color11\":\"#bb8a35\",\"color12\":\"#516aec\",\"color13\":\"#7b59c0\",\"color14\":\"#159393\",\"color15\":\"#f7f3f7\"}}",


"\
{\"special\":{\"background\":\"#f7f3f7\",\"foreground\":\"#695d69\",\"cursor\":\"#695d69\"},\"colors\":{\"color0\":\"#f7f3f7\",\"color1\":\"#ca402b\",\"color2\":\"#918b3b\",\"color3\":\"#bb8a35\",\"color4\":\"#516aec\",\"color5\":\"#7b59c0\",\"color6\":\"#159393\",\"color7\":\"#695d69\",\"color8\":\"#9e8f9e\",\"color9\":\"#ca402b\",\"color10\":\"#918b3b\",\"color11\":\"#bb8a35\",\"color12\":\"#516aec\",\"color13\":\"#7b59c0\",\"color14\":\"#159393\",\"color15\":\"#1b181b\"}}",


"\
{\"special\":{\"background\":\"#161b1d\",\"foreground\":\"#7ea2b4\",\"cursor\":\"#7ea2b4\"},\"colors\":{\"color0\":\"#161b1d\",\"color1\":\"#d22d72\",\"color2\":\"#568c3b\",\"color3\":\"#8a8a0f\",\"color4\":\"#257fad\",\"color5\":\"#6b6bb8\",\"color6\":\"#2d8f6f\",\"color7\":\"#7ea2b4\",\"color8\":\"#5a7b8c\",\"color9\":\"#d22d72\",\"color10\":\"#568c3b\",\"color11\":\"#8a8a0f\",\"color12\":\"#257fad\",\"color13\":\"#6b6bb8\",\"color14\":\"#2d8f6f\",\"color15\":\"#ebf8ff\"}}",


"\
{\"special\":{\"background\":\"#ebf8ff\",\"foreground\":\"#516d7b\",\"cursor\":\"#516d7b\"},\"colors\":{\"color0\":\"#ebf8ff\",\"color1\":\"#d22d72\",\"color2\":\"#568c3b\",\"color3\":\"#8a8a0f\",\"color4\":\"#257fad\",\"color5\":\"#6b6bb8\",\"color6\":\"#2d8f6f\",\"color7\":\"#516d7b\",\"color8\":\"#7195a8\",\"color9\":\"#d22d72\",\"color10\":\"#568c3b\",\"color11\":\"#8a8a0f\",\"color12\":\"#257fad\",\"color13\":\"#6b6bb8\",\"color14\":\"#2d8f6f\",\"color15\":\"#161b1d\"}}",


"\
{\"special\":{\"background\":\"#1b1818\",\"foreground\":\"#8a8585\",\"cursor\":\"#8a8585\"},\"colors\":{\"color0\":\"#1b1818\",\"color1\":\"#ca4949\",\"color2\":\"#4b8b8b\",\"color3\":\"#a06e3b\",\"color4\":\"#7272ca\",\"color5\":\"#8464c4\",\"color6\":\"#5485b6\",\"color7\":\"#8a8585\",\"color8\":\"#655d5d\",\"color9\":\"#ca4949\",\"color10\":\"#4b8b8b\",\"color11\":\"#a06e3b\",\"color12\":\"#7272ca\",\"color13\":\"#8464c4\",\"color14\":\"#5485b6\",\"color15\":\"#f4ecec\"}}",


"\
{\"special\":{\"background\":\"#f4ecec\",\"foreground\":\"#585050\",\"cursor\":\"#585050\"},\"colors\":{\"color0\":\"#f4ecec\",\"color1\":\"#ca4949\",\"color2\":\"#4b8b8b\",\"color3\":\"#a06e3b\",\"color4\":\"#7272ca\",\"color5\":\"#8464c4\",\"color6\":\"#5485b6\",\"color7\":\"#585050\",\"color8\":\"#7e7777\",\"color9\":\"#ca4949\",\"color10\":\"#4b8b8b\",\"color11\":\"#a06e3b\",\"color12\":\"#7272ca\",\"color13\":\"#8464c4\",\"color14\":\"#5485b6\",\"color15\":\"#1b1818\"}}",


"\
{\"special\":{\"background\":\"#171c19\",\"foreground\":\"#87928a\",\"cursor\":\"#87928a\"},\"colors\":{\"color0\":\"#171c19\",\"color1\":\"#b16139\",\"color2\":\"#489963\",\"color3\":\"#a07e3b\",\"color4\":\"#478c90\",\"color5\":\"#55859b\",\"color6\":\"#1c9aa0\",\"color7\":\"#87928a\",\"color8\":\"#5f6d64\",\"color9\":\"#b16139\",\"color10\":\"#489963\",\"color11\":\"#a07e3b\",\"color12\":\"#478c90\",\"color13\":\"#55859b\",\"color14\":\"#1c9aa0\",\"color15\":\"#ecf4ee\"}}",


"\
{\"special\":{\"background\":\"#ecf4ee\",\"foreground\":\"#526057\",\"cursor\":\"#526057\"},\"colors\":{\"color0\":\"#ecf4ee\",\"color1\":\"#b16139\",\"color2\":\"#489963\",\"color3\":\"#a07e3b\",\"color4\":\"#478c90\",\"color5\":\"#55859b\",\"color6\":\"#1c9aa0\",\"color7\":\"#526057\",\"color8\":\"#78877d\",\"color9\":\"#b16139\",\"color10\":\"#489963\",\"color11\":\"#a07e3b\",\"color12\":\"#478c90\",\"color13\":\"#55859b\",\"color14\":\"#1c9aa0\",\"color15\":\"#171c19\"}}",


"\
{\"special\":{\"background\":\"#131513\",\"foreground\":\"#8ca68c\",\"cursor\":\"#8ca68c\"},\"colors\":{\"color0\":\"#131513\",\"color1\":\"#e6193c\",\"color2\":\"#29a329\",\"color3\":\"#98981b\",\"color4\":\"#3d62f5\",\"color5\":\"#ad2bee\",\"color6\":\"#1999b3\",\"color7\":\"#8ca68c\",\"color8\":\"#687d68\",\"color9\":\"#e6193c\",\"color10\":\"#29a329\",\"color11\":\"#98981b\",\"color12\":\"#3d62f5\",\"color13\":\"#ad2bee\",\"color14\":\"#1999b3\",\"color15\":\"#f4fbf4\"}}",


"\
{\"special\":{\"background\":\"#f4fbf4\",\"foreground\":\"#5e6e5e\",\"cursor\":\"#5e6e5e\"},\"colors\":{\"color0\":\"#f4fbf4\",\"color1\":\"#e6193c\",\"color2\":\"#29a329\",\"color3\":\"#98981b\",\"color4\":\"#3d62f5\",\"color5\":\"#ad2bee\",\"color6\":\"#1999b3\",\"color7\":\"#5e6e5e\",\"color8\":\"#809980\",\"color9\":\"#e6193c\",\"color10\":\"#29a329\",\"color11\":\"#98981b\",\"color12\":\"#3d62f5\",\"color13\":\"#ad2bee\",\"color14\":\"#1999b3\",\"color15\":\"#131513\"}}",


"\
{\"special\":{\"background\":\"#202746\",\"foreground\":\"#979db4\",\"cursor\":\"#979db4\"},\"colors\":{\"color0\":\"#202746\",\"color1\":\"#c94922\",\"color2\":\"#ac9739\",\"color3\":\"#c08b30\",\"color4\":\"#3d8fd1\",\"color5\":\"#6679cc\",\"color6\":\"#22a2c9\",\"color7\":\"#979db4\",\"color8\":\"#6b7394\",\"color9\":\"#c94922\",\"color10\":\"#ac9739\",\"color11\":\"#c08b30\",\"color12\":\"#3d8fd1\",\"color13\":\"#6679cc\",\"color14\":\"#22a2c9\",\"color15\":\"#f5f7ff\"}}",


"\
{\"special\":{\"background\":\"#f5f7ff\",\"foreground\":\"#5e6687\",\"cursor\":\"#5e6687\"},\"colors\":{\"color0\":\"#f5f7ff\",\"color1\":\"#c94922\",\"color2\":\"#ac9739\",\"color3\":\"#c08b30\",\"color4\":\"#3d8fd1\",\"color5\":\"#6679cc\",\"color6\":\"#22a2c9\",\"color7\":\"#5e6687\",\"color8\":\"#898ea4\",\"color9\":\"#c94922\",\"color10\":\"#ac9739\",\"color11\":\"#c08b30\",\"color12\":\"#3d8fd1\",\"color13\":\"#6679cc\",\"color14\":\"#22a2c9\",\"color15\":\"#202746\"}}",


"\
{\"special\":{\"background\":\"#28211c\",\"foreground\":\"#8a8986\",\"cursor\":\"#8a8986\"},\"colors\":{\"color0\":\"#28211c\",\"color1\":\"#cf6a4c\",\"color2\":\"#54be0d\",\"color3\":\"#f9ee98\",\"color4\":\"#5ea6ea\",\"color5\":\"#9b859d\",\"color6\":\"#afc4db\",\"color7\":\"#8a8986\",\"color8\":\"#666666\",\"color9\":\"#cf6a4c\",\"color10\":\"#54be0d\",\"color11\":\"#f9ee98\",\"color12\":\"#5ea6ea\",\"color13\":\"#9b859d\",\"color14\":\"#afc4db\",\"color15\":\"#baae9e\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#fbcb97\",\"color3\":\"#e78a53\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#fbcb97\",\"color11\":\"#e78a53\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#ddeecc\",\"color3\":\"#99bbaa\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#ddeecc\",\"color11\":\"#99bbaa\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#d0dfee\",\"color3\":\"#5f81a5\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#d0dfee\",\"color11\":\"#5f81a5\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#9b8d7f\",\"color3\":\"#8c7f70\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#9b8d7f\",\"color11\":\"#8c7f70\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#7799bb\",\"color3\":\"#556677\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#7799bb\",\"color11\":\"#556677\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#dd9999\",\"color3\":\"#a06666\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#dd9999\",\"color11\":\"#a06666\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#eceee3\",\"color3\":\"#974b46\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#eceee3\",\"color11\":\"#974b46\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#a5aaa7\",\"color3\":\"#626b67\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#a5aaa7\",\"color11\":\"#626b67\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#f3ecd4\",\"color3\":\"#eecc6c\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#f3ecd4\",\"color11\":\"#eecc6c\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#aa9988\",\"color3\":\"#777755\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#aa9988\",\"color11\":\"#777755\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c1c1c1\",\"cursor\":\"#c1c1c1\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#5f8787\",\"color2\":\"#f8f7f2\",\"color3\":\"#79241f\",\"color4\":\"#888888\",\"color5\":\"#999999\",\"color6\":\"#aaaaaa\",\"color7\":\"#c1c1c1\",\"color8\":\"#333333\",\"color9\":\"#5f8787\",\"color10\":\"#f8f7f2\",\"color11\":\"#79241f\",\"color12\":\"#888888\",\"color13\":\"#999999\",\"color14\":\"#aaaaaa\",\"color15\":\"#c1c1c1\"}}",


"\
{\"special\":{\"background\":\"#0c0d0e\",\"foreground\":\"#b7b8b9\",\"cursor\":\"#b7b8b9\"},\"colors\":{\"color0\":\"#0c0d0e\",\"color1\":\"#e31a1c\",\"color2\":\"#31a354\",\"color3\":\"#dca060\",\"color4\":\"#3182bd\",\"color5\":\"#756bb1\",\"color6\":\"#80b1d3\",\"color7\":\"#b7b8b9\",\"color8\":\"#737475\",\"color9\":\"#e31a1c\",\"color10\":\"#31a354\",\"color11\":\"#dca060\",\"color12\":\"#3182bd\",\"color13\":\"#756bb1\",\"color14\":\"#80b1d3\",\"color15\":\"#fcfdfe\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#e0e0e0\",\"cursor\":\"#e0e0e0\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#fb0120\",\"color2\":\"#a1c659\",\"color3\":\"#fda331\",\"color4\":\"#6fb3d2\",\"color5\":\"#d381c3\",\"color6\":\"#76c7b7\",\"color7\":\"#e0e0e0\",\"color8\":\"#b0b0b0\",\"color9\":\"#fb0120\",\"color10\":\"#a1c659\",\"color11\":\"#fda331\",\"color12\":\"#6fb3d2\",\"color13\":\"#d381c3\",\"color14\":\"#76c7b7\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#485867\",\"foreground\":\"#B0C5C8\",\"cursor\":\"#B0C5C8\"},\"colors\":{\"color0\":\"#485867\",\"color1\":\"#b38686\",\"color2\":\"#87b386\",\"color3\":\"#aab386\",\"color4\":\"#868cb3\",\"color5\":\"#b386b2\",\"color6\":\"#86b3b3\",\"color7\":\"#B0C5C8\",\"color8\":\"#8299A1\",\"color9\":\"#b38686\",\"color10\":\"#87b386\",\"color11\":\"#aab386\",\"color12\":\"#868cb3\",\"color13\":\"#b386b2\",\"color14\":\"#86b3b3\",\"color15\":\"#E3EFEF\"}}",


"\
{\"special\":{\"background\":\"#151515\",\"foreground\":\"#d0d0d0\",\"cursor\":\"#d0d0d0\"},\"colors\":{\"color0\":\"#151515\",\"color1\":\"#fb9fb1\",\"color2\":\"#acc267\",\"color3\":\"#ddb26f\",\"color4\":\"#6fc2ef\",\"color5\":\"#e1a3ee\",\"color6\":\"#12cfc0\",\"color7\":\"#d0d0d0\",\"color8\":\"#505050\",\"color9\":\"#fb9fb1\",\"color10\":\"#acc267\",\"color11\":\"#ddb26f\",\"color12\":\"#6fc2ef\",\"color13\":\"#e1a3ee\",\"color14\":\"#12cfc0\",\"color15\":\"#f5f5f5\"}}",


"\
{\"special\":{\"background\":\"#191919\",\"foreground\":\"#a7a7a7\",\"cursor\":\"#a7a7a7\"},\"colors\":{\"color0\":\"#191919\",\"color1\":\"#dc657d\",\"color2\":\"#84b97c\",\"color3\":\"#c3ba63\",\"color4\":\"#639ee4\",\"color5\":\"#b888e2\",\"color6\":\"#4bb1a7\",\"color7\":\"#a7a7a7\",\"color8\":\"#5f5a60\",\"color9\":\"#dc657d\",\"color10\":\"#84b97c\",\"color11\":\"#c3ba63\",\"color12\":\"#639ee4\",\"color13\":\"#b888e2\",\"color14\":\"#4bb1a7\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#151515\",\"foreground\":\"#D0D0D0\",\"cursor\":\"#D0D0D0\"},\"colors\":{\"color0\":\"#151515\",\"color1\":\"#AC4142\",\"color2\":\"#90A959\",\"color3\":\"#F4BF75\",\"color4\":\"#6A9FB5\",\"color5\":\"#AA759F\",\"color6\":\"#75B5AA\",\"color7\":\"#D0D0D0\",\"color8\":\"#505050\",\"color9\":\"#AC4142\",\"color10\":\"#90A959\",\"color11\":\"#F4BF75\",\"color12\":\"#6A9FB5\",\"color13\":\"#AA759F\",\"color14\":\"#75B5AA\",\"color15\":\"#F5F5F5\"}}",


"\
{\"special\":{\"background\":\"#F5F5F5\",\"foreground\":\"#303030\",\"cursor\":\"#303030\"},\"colors\":{\"color0\":\"#F5F5F5\",\"color1\":\"#AC4142\",\"color2\":\"#90A959\",\"color3\":\"#F4BF75\",\"color4\":\"#6A9FB5\",\"color5\":\"#AA759F\",\"color6\":\"#75B5AA\",\"color7\":\"#303030\",\"color8\":\"#B0B0B0\",\"color9\":\"#AC4142\",\"color10\":\"#90A959\",\"color11\":\"#F4BF75\",\"color12\":\"#6A9FB5\",\"color13\":\"#AA759F\",\"color14\":\"#75B5AA\",\"color15\":\"#151515\"}}",


"\
{\"special\":{\"background\":\"#232c31\",\"foreground\":\"#9ea7a6\",\"cursor\":\"#9ea7a6\"},\"colors\":{\"color0\":\"#232c31\",\"color1\":\"#2a5491\",\"color2\":\"#237986\",\"color3\":\"#a03b1e\",\"color4\":\"#484d79\",\"color5\":\"#c59820\",\"color6\":\"#b02f30\",\"color7\":\"#9ea7a6\",\"color8\":\"#3f4944\",\"color9\":\"#2a5491\",\"color10\":\"#237986\",\"color11\":\"#a03b1e\",\"color12\":\"#484d79\",\"color13\":\"#c59820\",\"color14\":\"#b02f30\",\"color15\":\"#b5d8f6\"}}",


"\
{\"special\":{\"background\":\"#fbf1f2\",\"foreground\":\"#8b8198\",\"cursor\":\"#8b8198\"},\"colors\":{\"color0\":\"#fbf1f2\",\"color1\":\"#D57E85\",\"color2\":\"#A3B367\",\"color3\":\"#DCB16C\",\"color4\":\"#7297B9\",\"color5\":\"#BB99B4\",\"color6\":\"#69A9A7\",\"color7\":\"#8b8198\",\"color8\":\"#bfb9c6\",\"color9\":\"#D57E85\",\"color10\":\"#A3B367\",\"color11\":\"#DCB16C\",\"color12\":\"#7297B9\",\"color13\":\"#BB99B4\",\"color14\":\"#69A9A7\",\"color15\":\"#585062\"}}",


"\
{\"special\":{\"background\":\"#ffffff\",\"foreground\":\"#404040\",\"cursor\":\"#404040\"},\"colors\":{\"color0\":\"#ffffff\",\"color1\":\"#c41a15\",\"color2\":\"#007400\",\"color3\":\"#826b28\",\"color4\":\"#0000ff\",\"color5\":\"#a90d91\",\"color6\":\"#318495\",\"color7\":\"#404040\",\"color8\":\"#808080\",\"color9\":\"#c41a15\",\"color10\":\"#007400\",\"color11\":\"#826b28\",\"color12\":\"#0000ff\",\"color13\":\"#a90d91\",\"color14\":\"#318495\",\"color15\":\"#5e5e5e\"}}",


"\
{\"special\":{\"background\":\"#181818\",\"foreground\":\"#d8d8d8\",\"cursor\":\"#d8d8d8\"},\"colors\":{\"color0\":\"#181818\",\"color1\":\"#ab4642\",\"color2\":\"#a1b56c\",\"color3\":\"#f7ca88\",\"color4\":\"#7cafc2\",\"color5\":\"#ba8baf\",\"color6\":\"#86c1b9\",\"color7\":\"#d8d8d8\",\"color8\":\"#585858\",\"color9\":\"#ab4642\",\"color10\":\"#a1b56c\",\"color11\":\"#f7ca88\",\"color12\":\"#7cafc2\",\"color13\":\"#ba8baf\",\"color14\":\"#86c1b9\",\"color15\":\"#f8f8f8\"}}",


"\
{\"special\":{\"background\":\"#f8f8f8\",\"foreground\":\"#383838\",\"cursor\":\"#383838\"},\"colors\":{\"color0\":\"#f8f8f8\",\"color1\":\"#ab4642\",\"color2\":\"#a1b56c\",\"color3\":\"#f7ca88\",\"color4\":\"#7cafc2\",\"color5\":\"#ba8baf\",\"color6\":\"#86c1b9\",\"color7\":\"#383838\",\"color8\":\"#b8b8b8\",\"color9\":\"#ab4642\",\"color10\":\"#a1b56c\",\"color11\":\"#f7ca88\",\"color12\":\"#7cafc2\",\"color13\":\"#ba8baf\",\"color14\":\"#86c1b9\",\"color15\":\"#181818\"}}",


"\
{\"special\":{\"background\":\"#282936\",\"foreground\":\"#e9e9f4\",\"cursor\":\"#e9e9f4\"},\"colors\":{\"color0\":\"#282936\",\"color1\":\"#ea51b2\",\"color2\":\"#00f769\",\"color3\":\"#ebff87\",\"color4\":\"#62d6e8\",\"color5\":\"#b45bcf\",\"color6\":\"#a1efe4\",\"color7\":\"#e9e9f4\",\"color8\":\"#4d4f68\",\"color9\":\"#ea51b2\",\"color10\":\"#00f769\",\"color11\":\"#ebff87\",\"color12\":\"#62d6e8\",\"color13\":\"#b45bcf\",\"color14\":\"#a1efe4\",\"color15\":\"#f7f7fb\"}}",


"\
{\"special\":{\"background\":\"#2d2d2d\",\"foreground\":\"#d3d0c8\",\"cursor\":\"#d3d0c8\"},\"colors\":{\"color0\":\"#2d2d2d\",\"color1\":\"#f2777a\",\"color2\":\"#99cc99\",\"color3\":\"#ffcc66\",\"color4\":\"#6699cc\",\"color5\":\"#cc99cc\",\"color6\":\"#66cccc\",\"color7\":\"#d3d0c8\",\"color8\":\"#747369\",\"color9\":\"#f2777a\",\"color10\":\"#99cc99\",\"color11\":\"#ffcc66\",\"color12\":\"#6699cc\",\"color13\":\"#cc99cc\",\"color14\":\"#66cccc\",\"color15\":\"#f2f0ec\"}}",


"\
{\"special\":{\"background\":\"#16130F\",\"foreground\":\"#A39A90\",\"cursor\":\"#A39A90\"},\"colors\":{\"color0\":\"#16130F\",\"color1\":\"#826D57\",\"color2\":\"#57826D\",\"color3\":\"#6D8257\",\"color4\":\"#6D5782\",\"color5\":\"#82576D\",\"color6\":\"#576D82\",\"color7\":\"#A39A90\",\"color8\":\"#5A5047\",\"color9\":\"#826D57\",\"color10\":\"#57826D\",\"color11\":\"#6D8257\",\"color12\":\"#6D5782\",\"color13\":\"#82576D\",\"color14\":\"#576D82\",\"color15\":\"#DBD6D1\"}}",


"\
{\"special\":{\"background\":\"#2C3E50\",\"foreground\":\"#e0e0e0\",\"cursor\":\"#e0e0e0\"},\"colors\":{\"color0\":\"#2C3E50\",\"color1\":\"#E74C3C\",\"color2\":\"#2ECC71\",\"color3\":\"#F1C40F\",\"color4\":\"#3498DB\",\"color5\":\"#9B59B6\",\"color6\":\"#1ABC9C\",\"color7\":\"#e0e0e0\",\"color8\":\"#95A5A6\",\"color9\":\"#E74C3C\",\"color10\":\"#2ECC71\",\"color11\":\"#F1C40F\",\"color12\":\"#3498DB\",\"color13\":\"#9B59B6\",\"color14\":\"#1ABC9C\",\"color15\":\"#ECF0F1\"}}",


"\
{\"special\":{\"background\":\"#ffffff\",\"foreground\":\"#333333\",\"cursor\":\"#333333\"},\"colors\":{\"color0\":\"#ffffff\",\"color1\":\"#ed6a43\",\"color2\":\"#183691\",\"color3\":\"#795da3\",\"color4\":\"#795da3\",\"color5\":\"#a71d5d\",\"color6\":\"#183691\",\"color7\":\"#333333\",\"color8\":\"#969896\",\"color9\":\"#ed6a43\",\"color10\":\"#183691\",\"color11\":\"#795da3\",\"color12\":\"#795da3\",\"color13\":\"#a71d5d\",\"color14\":\"#183691\",\"color15\":\"#333333\"}}",


"\
{\"special\":{\"background\":\"#1d1f21\",\"foreground\":\"#c5c8c6\",\"cursor\":\"#c5c8c6\"},\"colors\":{\"color0\":\"#1d1f21\",\"color1\":\"#CC342B\",\"color2\":\"#198844\",\"color3\":\"#FBA922\",\"color4\":\"#3971ED\",\"color5\":\"#A36AC7\",\"color6\":\"#3971ED\",\"color7\":\"#c5c8c6\",\"color8\":\"#969896\",\"color9\":\"#CC342B\",\"color10\":\"#198844\",\"color11\":\"#FBA922\",\"color12\":\"#3971ED\",\"color13\":\"#A36AC7\",\"color14\":\"#3971ED\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#ffffff\",\"foreground\":\"#373b41\",\"cursor\":\"#373b41\"},\"colors\":{\"color0\":\"#ffffff\",\"color1\":\"#CC342B\",\"color2\":\"#198844\",\"color3\":\"#FBA922\",\"color4\":\"#3971ED\",\"color5\":\"#A36AC7\",\"color6\":\"#3971ED\",\"color7\":\"#373b41\",\"color8\":\"#b4b7b4\",\"color9\":\"#CC342B\",\"color10\":\"#198844\",\"color11\":\"#FBA922\",\"color12\":\"#3971ED\",\"color13\":\"#A36AC7\",\"color14\":\"#3971ED\",\"color15\":\"#1d1f21\"}}",


"\
{\"special\":{\"background\":\"#101010\",\"foreground\":\"#b9b9b9\",\"cursor\":\"#b9b9b9\"},\"colors\":{\"color0\":\"#101010\",\"color1\":\"#7c7c7c\",\"color2\":\"#8e8e8e\",\"color3\":\"#a0a0a0\",\"color4\":\"#686868\",\"color5\":\"#747474\",\"color6\":\"#868686\",\"color7\":\"#b9b9b9\",\"color8\":\"#525252\",\"color9\":\"#7c7c7c\",\"color10\":\"#8e8e8e\",\"color11\":\"#a0a0a0\",\"color12\":\"#686868\",\"color13\":\"#747474\",\"color14\":\"#868686\",\"color15\":\"#f7f7f7\"}}",


"\
{\"special\":{\"background\":\"#f7f7f7\",\"foreground\":\"#464646\",\"cursor\":\"#464646\"},\"colors\":{\"color0\":\"#f7f7f7\",\"color1\":\"#7c7c7c\",\"color2\":\"#8e8e8e\",\"color3\":\"#a0a0a0\",\"color4\":\"#686868\",\"color5\":\"#747474\",\"color6\":\"#868686\",\"color7\":\"#464646\",\"color8\":\"#ababab\",\"color9\":\"#7c7c7c\",\"color10\":\"#8e8e8e\",\"color11\":\"#a0a0a0\",\"color12\":\"#686868\",\"color13\":\"#747474\",\"color14\":\"#868686\",\"color15\":\"#101010\"}}",


"\
{\"special\":{\"background\":\"#001100\",\"foreground\":\"#00bb00\",\"cursor\":\"#00bb00\"},\"colors\":{\"color0\":\"#001100\",\"color1\":\"#007700\",\"color2\":\"#00bb00\",\"color3\":\"#007700\",\"color4\":\"#009900\",\"color5\":\"#00bb00\",\"color6\":\"#005500\",\"color7\":\"#00bb00\",\"color8\":\"#007700\",\"color9\":\"#007700\",\"color10\":\"#00bb00\",\"color11\":\"#007700\",\"color12\":\"#009900\",\"color13\":\"#00bb00\",\"color14\":\"#005500\",\"color15\":\"#00ff00\"}}",


"\
{\"special\":{\"background\":\"#1d2021\",\"foreground\":\"#d5c4a1\",\"cursor\":\"#d5c4a1\"},\"colors\":{\"color0\":\"#1d2021\",\"color1\":\"#fb4934\",\"color2\":\"#b8bb26\",\"color3\":\"#fabd2f\",\"color4\":\"#83a598\",\"color5\":\"#d3869b\",\"color6\":\"#8ec07c\",\"color7\":\"#d5c4a1\",\"color8\":\"#665c54\",\"color9\":\"#fb4934\",\"color10\":\"#b8bb26\",\"color11\":\"#fabd2f\",\"color12\":\"#83a598\",\"color13\":\"#d3869b\",\"color14\":\"#8ec07c\",\"color15\":\"#fbf1c7\"}}",


"\
{\"special\":{\"background\":\"#f9f5d7\",\"foreground\":\"#504945\",\"cursor\":\"#504945\"},\"colors\":{\"color0\":\"#f9f5d7\",\"color1\":\"#9d0006\",\"color2\":\"#79740e\",\"color3\":\"#b57614\",\"color4\":\"#076678\",\"color5\":\"#8f3f71\",\"color6\":\"#427b58\",\"color7\":\"#504945\",\"color8\":\"#bdae93\",\"color9\":\"#9d0006\",\"color10\":\"#79740e\",\"color11\":\"#b57614\",\"color12\":\"#076678\",\"color13\":\"#8f3f71\",\"color14\":\"#427b58\",\"color15\":\"#282828\"}}",


"\
{\"special\":{\"background\":\"#282828\",\"foreground\":\"#d5c4a1\",\"cursor\":\"#d5c4a1\"},\"colors\":{\"color0\":\"#282828\",\"color1\":\"#fb4934\",\"color2\":\"#b8bb26\",\"color3\":\"#fabd2f\",\"color4\":\"#83a598\",\"color5\":\"#d3869b\",\"color6\":\"#8ec07c\",\"color7\":\"#d5c4a1\",\"color8\":\"#665c54\",\"color9\":\"#fb4934\",\"color10\":\"#b8bb26\",\"color11\":\"#fabd2f\",\"color12\":\"#83a598\",\"color13\":\"#d3869b\",\"color14\":\"#8ec07c\",\"color15\":\"#fbf1c7\"}}",


"\
{\"special\":{\"background\":\"#fbf1c7\",\"foreground\":\"#504945\",\"cursor\":\"#504945\"},\"colors\":{\"color0\":\"#fbf1c7\",\"color1\":\"#9d0006\",\"color2\":\"#79740e\",\"color3\":\"#b57614\",\"color4\":\"#076678\",\"color5\":\"#8f3f71\",\"color6\":\"#427b58\",\"color7\":\"#504945\",\"color8\":\"#bdae93\",\"color9\":\"#9d0006\",\"color10\":\"#79740e\",\"color11\":\"#b57614\",\"color12\":\"#076678\",\"color13\":\"#8f3f71\",\"color14\":\"#427b58\",\"color15\":\"#282828\"}}",


"\
{\"special\":{\"background\":\"#262626\",\"foreground\":\"#dab997\",\"cursor\":\"#dab997\"},\"colors\":{\"color0\":\"#262626\",\"color1\":\"#d75f5f\",\"color2\":\"#afaf00\",\"color3\":\"#ffaf00\",\"color4\":\"#83adad\",\"color5\":\"#d485ad\",\"color6\":\"#85ad85\",\"color7\":\"#dab997\",\"color8\":\"#8a8a8a\",\"color9\":\"#d75f5f\",\"color10\":\"#afaf00\",\"color11\":\"#ffaf00\",\"color12\":\"#83adad\",\"color13\":\"#d485ad\",\"color14\":\"#85ad85\",\"color15\":\"#ebdbb2\"}}",


"\
{\"special\":{\"background\":\"#32302f\",\"foreground\":\"#d5c4a1\",\"cursor\":\"#d5c4a1\"},\"colors\":{\"color0\":\"#32302f\",\"color1\":\"#fb4934\",\"color2\":\"#b8bb26\",\"color3\":\"#fabd2f\",\"color4\":\"#83a598\",\"color5\":\"#d3869b\",\"color6\":\"#8ec07c\",\"color7\":\"#d5c4a1\",\"color8\":\"#665c54\",\"color9\":\"#fb4934\",\"color10\":\"#b8bb26\",\"color11\":\"#fabd2f\",\"color12\":\"#83a598\",\"color13\":\"#d3869b\",\"color14\":\"#8ec07c\",\"color15\":\"#fbf1c7\"}}",


"\
{\"special\":{\"background\":\"#f2e5bc\",\"foreground\":\"#504945\",\"cursor\":\"#504945\"},\"colors\":{\"color0\":\"#f2e5bc\",\"color1\":\"#9d0006\",\"color2\":\"#79740e\",\"color3\":\"#b57614\",\"color4\":\"#076678\",\"color5\":\"#8f3f71\",\"color6\":\"#427b58\",\"color7\":\"#504945\",\"color8\":\"#bdae93\",\"color9\":\"#9d0006\",\"color10\":\"#79740e\",\"color11\":\"#b57614\",\"color12\":\"#076678\",\"color13\":\"#8f3f71\",\"color14\":\"#427b58\",\"color15\":\"#282828\"}}",


"\
{\"special\":{\"background\":\"#0b1c2c\",\"foreground\":\"#cbd6e2\",\"cursor\":\"#cbd6e2\"},\"colors\":{\"color0\":\"#0b1c2c\",\"color1\":\"#bf8b56\",\"color2\":\"#56bf8b\",\"color3\":\"#8bbf56\",\"color4\":\"#8b56bf\",\"color5\":\"#bf568b\",\"color6\":\"#568bbf\",\"color7\":\"#cbd6e2\",\"color8\":\"#627e99\",\"color9\":\"#bf8b56\",\"color10\":\"#56bf8b\",\"color11\":\"#8bbf56\",\"color12\":\"#8b56bf\",\"color13\":\"#bf568b\",\"color14\":\"#568bbf\",\"color15\":\"#f7f9fb\"}}",


"\
{\"special\":{\"background\":\"#f7f9fb\",\"foreground\":\"#405c79\",\"cursor\":\"#405c79\"},\"colors\":{\"color0\":\"#f7f9fb\",\"color1\":\"#bf8b56\",\"color2\":\"#56bf8b\",\"color3\":\"#8bbf56\",\"color4\":\"#8b56bf\",\"color5\":\"#bf568b\",\"color6\":\"#568bbf\",\"color7\":\"#405c79\",\"color8\":\"#aabcce\",\"color9\":\"#bf8b56\",\"color10\":\"#56bf8b\",\"color11\":\"#8bbf56\",\"color12\":\"#8b56bf\",\"color13\":\"#bf568b\",\"color14\":\"#568bbf\",\"color15\":\"#0b1c2c\"}}",


"\
{\"special\":{\"background\":\"#322931\",\"foreground\":\"#b9b5b8\",\"cursor\":\"#b9b5b8\"},\"colors\":{\"color0\":\"#322931\",\"color1\":\"#dd464c\",\"color2\":\"#8fc13e\",\"color3\":\"#fdcc59\",\"color4\":\"#1290bf\",\"color5\":\"#c85e7c\",\"color6\":\"#149b93\",\"color7\":\"#b9b5b8\",\"color8\":\"#797379\",\"color9\":\"#dd464c\",\"color10\":\"#8fc13e\",\"color11\":\"#fdcc59\",\"color12\":\"#1290bf\",\"color13\":\"#c85e7c\",\"color14\":\"#149b93\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#021012\",\"foreground\":\"#095b67\",\"cursor\":\"#095b67\"},\"colors\":{\"color0\":\"#021012\",\"color1\":\"#16c1d9\",\"color2\":\"#4dd0e1\",\"color3\":\"#80deea\",\"color4\":\"#00bcd4\",\"color5\":\"#00acc1\",\"color6\":\"#26c6da\",\"color7\":\"#095b67\",\"color8\":\"#052e34\",\"color9\":\"#16c1d9\",\"color10\":\"#4dd0e1\",\"color11\":\"#80deea\",\"color12\":\"#00bcd4\",\"color13\":\"#00acc1\",\"color14\":\"#26c6da\",\"color15\":\"#109cb0\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#b5b3aa\",\"cursor\":\"#b5b3aa\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#ff6c60\",\"color2\":\"#a8ff60\",\"color3\":\"#ffffb6\",\"color4\":\"#96cbfe\",\"color5\":\"#ff73fd\",\"color6\":\"#c6c5fe\",\"color7\":\"#b5b3aa\",\"color8\":\"#6c6c66\",\"color9\":\"#ff6c60\",\"color10\":\"#a8ff60\",\"color11\":\"#ffffb6\",\"color12\":\"#96cbfe\",\"color13\":\"#ff73fd\",\"color14\":\"#c6c5fe\",\"color15\":\"#fdfbee\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#d0d0d0\",\"cursor\":\"#d0d0d0\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#ff0000\",\"color2\":\"#33ff00\",\"color3\":\"#ff0099\",\"color4\":\"#0066ff\",\"color5\":\"#cc00ff\",\"color6\":\"#00ffff\",\"color7\":\"#d0d0d0\",\"color8\":\"#808080\",\"color9\":\"#ff0000\",\"color10\":\"#33ff00\",\"color11\":\"#ff0099\",\"color12\":\"#0066ff\",\"color13\":\"#cc00ff\",\"color14\":\"#00ffff\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#c0c0c0\",\"cursor\":\"#c0c0c0\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#dd0907\",\"color2\":\"#1fb714\",\"color3\":\"#fbf305\",\"color4\":\"#0000d3\",\"color5\":\"#4700a5\",\"color6\":\"#02abea\",\"color7\":\"#c0c0c0\",\"color8\":\"#808080\",\"color9\":\"#dd0907\",\"color10\":\"#1fb714\",\"color11\":\"#fbf305\",\"color12\":\"#0000d3\",\"color13\":\"#4700a5\",\"color14\":\"#02abea\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#201602\",\"foreground\":\"#948e48\",\"cursor\":\"#948e48\"},\"colors\":{\"color0\":\"#201602\",\"color1\":\"#c35359\",\"color2\":\"#18974e\",\"color3\":\"#a88339\",\"color4\":\"#477ca1\",\"color5\":\"#8868b3\",\"color6\":\"#75a738\",\"color7\":\"#948e48\",\"color8\":\"#6c6823\",\"color9\":\"#c35359\",\"color10\":\"#18974e\",\"color11\":\"#a88339\",\"color12\":\"#477ca1\",\"color13\":\"#8868b3\",\"color14\":\"#75a738\",\"color15\":\"#faf0a5\"}}",


"\
{\"special\":{\"background\":\"#263238\",\"foreground\":\"#CDD3DE\",\"cursor\":\"#CDD3DE\"},\"colors\":{\"color0\":\"#263238\",\"color1\":\"#EC5F67\",\"color2\":\"#8BD649\",\"color3\":\"#FFCC00\",\"color4\":\"#89DDFF\",\"color5\":\"#82AAFF\",\"color6\":\"#80CBC4\",\"color7\":\"#CDD3DE\",\"color8\":\"#707880\",\"color9\":\"#EC5F67\",\"color10\":\"#8BD649\",\"color11\":\"#FFCC00\",\"color12\":\"#89DDFF\",\"color13\":\"#82AAFF\",\"color14\":\"#80CBC4\",\"color15\":\"#FFFFFF\"}}",


"\
{\"special\":{\"background\":\"#212121\",\"foreground\":\"#EEFFFF\",\"cursor\":\"#EEFFFF\"},\"colors\":{\"color0\":\"#212121\",\"color1\":\"#F07178\",\"color2\":\"#C3E88D\",\"color3\":\"#FFCB6B\",\"color4\":\"#82AAFF\",\"color5\":\"#C792EA\",\"color6\":\"#89DDFF\",\"color7\":\"#EEFFFF\",\"color8\":\"#4A4A4A\",\"color9\":\"#F07178\",\"color10\":\"#C3E88D\",\"color11\":\"#FFCB6B\",\"color12\":\"#82AAFF\",\"color13\":\"#C792EA\",\"color14\":\"#89DDFF\",\"color15\":\"#FFFFFF\"}}",


"\
{\"special\":{\"background\":\"#FAFAFA\",\"foreground\":\"#80CBC4\",\"cursor\":\"#80CBC4\"},\"colors\":{\"color0\":\"#FAFAFA\",\"color1\":\"#FF5370\",\"color2\":\"#91B859\",\"color3\":\"#FFB62C\",\"color4\":\"#6182B8\",\"color5\":\"#7C4DFF\",\"color6\":\"#39ADB5\",\"color7\":\"#80CBC4\",\"color8\":\"#CCD7DA\",\"color9\":\"#FF5370\",\"color10\":\"#91B859\",\"color11\":\"#FFB62C\",\"color12\":\"#6182B8\",\"color13\":\"#7C4DFF\",\"color14\":\"#39ADB5\",\"color15\":\"#80CBC4\"}}",


"\
{\"special\":{\"background\":\"#263238\",\"foreground\":\"#EEFFFF\",\"cursor\":\"#EEFFFF\"},\"colors\":{\"color0\":\"#263238\",\"color1\":\"#F07178\",\"color2\":\"#C3E88D\",\"color3\":\"#FFCB6B\",\"color4\":\"#82AAFF\",\"color5\":\"#C792EA\",\"color6\":\"#89DDFF\",\"color7\":\"#EEFFFF\",\"color8\":\"#546E7A\",\"color9\":\"#F07178\",\"color10\":\"#C3E88D\",\"color11\":\"#FFCB6B\",\"color12\":\"#82AAFF\",\"color13\":\"#C792EA\",\"color14\":\"#89DDFF\",\"color15\":\"#FFFFFF\"}}",


"\
{\"special\":{\"background\":\"#292D3E\",\"foreground\":\"#959DCB\",\"cursor\":\"#959DCB\"},\"colors\":{\"color0\":\"#292D3E\",\"color1\":\"#F07178\",\"color2\":\"#C3E88D\",\"color3\":\"#FFCB6B\",\"color4\":\"#82AAFF\",\"color5\":\"#C792EA\",\"color6\":\"#89DDFF\",\"color7\":\"#959DCB\",\"color8\":\"#676E95\",\"color9\":\"#F07178\",\"color10\":\"#C3E88D\",\"color11\":\"#FFCB6B\",\"color12\":\"#82AAFF\",\"color13\":\"#C792EA\",\"color14\":\"#89DDFF\",\"color15\":\"#FFFFFF\"}}",


"\
{\"special\":{\"background\":\"#1e0528\",\"foreground\":\"#ffeeff\",\"cursor\":\"#ffeeff\"},\"colors\":{\"color0\":\"#1e0528\",\"color1\":\"#00d9e9\",\"color2\":\"#05cb0d\",\"color3\":\"#955ae7\",\"color4\":\"#550068\",\"color5\":\"#8991bb\",\"color6\":\"#b900b1\",\"color7\":\"#ffeeff\",\"color8\":\"#320f55\",\"color9\":\"#00d9e9\",\"color10\":\"#05cb0d\",\"color11\":\"#955ae7\",\"color12\":\"#550068\",\"color13\":\"#8991bb\",\"color14\":\"#b900b1\",\"color15\":\"#f8c0ff\"}}",


"\
{\"special\":{\"background\":\"#f8f8f8\",\"foreground\":\"#383838\",\"cursor\":\"#383838\"},\"colors\":{\"color0\":\"#f8f8f8\",\"color1\":\"#ab4642\",\"color2\":\"#538947\",\"color3\":\"#f79a0e\",\"color4\":\"#7cafc2\",\"color5\":\"#96609e\",\"color6\":\"#4b8093\",\"color7\":\"#383838\",\"color8\":\"#b8b8b8\",\"color9\":\"#ab4642\",\"color10\":\"#538947\",\"color11\":\"#f79a0e\",\"color12\":\"#7cafc2\",\"color13\":\"#96609e\",\"color14\":\"#4b8093\",\"color15\":\"#181818\"}}",


"\
{\"special\":{\"background\":\"#3B3228\",\"foreground\":\"#d0c8c6\",\"cursor\":\"#d0c8c6\"},\"colors\":{\"color0\":\"#3B3228\",\"color1\":\"#cb6077\",\"color2\":\"#beb55b\",\"color3\":\"#f4bc87\",\"color4\":\"#8ab3b5\",\"color5\":\"#a89bb9\",\"color6\":\"#7bbda4\",\"color7\":\"#d0c8c6\",\"color8\":\"#7e705a\",\"color9\":\"#cb6077\",\"color10\":\"#beb55b\",\"color11\":\"#f4bc87\",\"color12\":\"#8ab3b5\",\"color13\":\"#a89bb9\",\"color14\":\"#7bbda4\",\"color15\":\"#f5eeeb\"}}",


"\
{\"special\":{\"background\":\"#272822\",\"foreground\":\"#f8f8f2\",\"cursor\":\"#f8f8f2\"},\"colors\":{\"color0\":\"#272822\",\"color1\":\"#f92672\",\"color2\":\"#a6e22e\",\"color3\":\"#f4bf75\",\"color4\":\"#66d9ef\",\"color5\":\"#ae81ff\",\"color6\":\"#a1efe4\",\"color7\":\"#f8f8f2\",\"color8\":\"#75715e\",\"color9\":\"#f92672\",\"color10\":\"#a6e22e\",\"color11\":\"#f4bf75\",\"color12\":\"#66d9ef\",\"color13\":\"#ae81ff\",\"color14\":\"#a1efe4\",\"color15\":\"#f9f8f5\"}}",


"\
{\"special\":{\"background\":\"#2E3440\",\"foreground\":\"#E5E9F0\",\"cursor\":\"#E5E9F0\"},\"colors\":{\"color0\":\"#2E3440\",\"color1\":\"#88C0D0\",\"color2\":\"#BF616A\",\"color3\":\"#5E81AC\",\"color4\":\"#EBCB8B\",\"color5\":\"#A3BE8C\",\"color6\":\"#D08770\",\"color7\":\"#E5E9F0\",\"color8\":\"#4C566A\",\"color9\":\"#88C0D0\",\"color10\":\"#BF616A\",\"color11\":\"#5E81AC\",\"color12\":\"#EBCB8B\",\"color13\":\"#A3BE8C\",\"color14\":\"#D08770\",\"color15\":\"#8FBCBB\"}}",


"\
{\"special\":{\"background\":\"#1B2B34\",\"foreground\":\"#C0C5CE\",\"cursor\":\"#C0C5CE\"},\"colors\":{\"color0\":\"#1B2B34\",\"color1\":\"#EC5f67\",\"color2\":\"#99C794\",\"color3\":\"#FAC863\",\"color4\":\"#6699CC\",\"color5\":\"#C594C5\",\"color6\":\"#5FB3B3\",\"color7\":\"#C0C5CE\",\"color8\":\"#65737E\",\"color9\":\"#EC5f67\",\"color10\":\"#99C794\",\"color11\":\"#FAC863\",\"color12\":\"#6699CC\",\"color13\":\"#C594C5\",\"color14\":\"#5FB3B3\",\"color15\":\"#D8DEE9\"}}",


"\
{\"special\":{\"background\":\"#2b303b\",\"foreground\":\"#c0c5ce\",\"cursor\":\"#c0c5ce\"},\"colors\":{\"color0\":\"#2b303b\",\"color1\":\"#bf616a\",\"color2\":\"#a3be8c\",\"color3\":\"#ebcb8b\",\"color4\":\"#8fa1b3\",\"color5\":\"#b48ead\",\"color6\":\"#96b5b4\",\"color7\":\"#c0c5ce\",\"color8\":\"#65737e\",\"color9\":\"#bf616a\",\"color10\":\"#a3be8c\",\"color11\":\"#ebcb8b\",\"color12\":\"#8fa1b3\",\"color13\":\"#b48ead\",\"color14\":\"#96b5b4\",\"color15\":\"#eff1f5\"}}",


"\
{\"special\":{\"background\":\"#282c34\",\"foreground\":\"#abb2bf\",\"cursor\":\"#abb2bf\"},\"colors\":{\"color0\":\"#282c34\",\"color1\":\"#e06c75\",\"color2\":\"#98c379\",\"color3\":\"#e5c07b\",\"color4\":\"#61afef\",\"color5\":\"#c678dd\",\"color6\":\"#56b6c2\",\"color7\":\"#abb2bf\",\"color8\":\"#545862\",\"color9\":\"#e06c75\",\"color10\":\"#98c379\",\"color11\":\"#e5c07b\",\"color12\":\"#61afef\",\"color13\":\"#c678dd\",\"color14\":\"#56b6c2\",\"color15\":\"#c8ccd4\"}}",


"\
{\"special\":{\"background\":\"#fafafa\",\"foreground\":\"#383a42\",\"cursor\":\"#383a42\"},\"colors\":{\"color0\":\"#fafafa\",\"color1\":\"#ca1243\",\"color2\":\"#50a14f\",\"color3\":\"#c18401\",\"color4\":\"#4078f2\",\"color5\":\"#a626a4\",\"color6\":\"#0184bc\",\"color7\":\"#383a42\",\"color8\":\"#a0a1a7\",\"color9\":\"#ca1243\",\"color10\":\"#50a14f\",\"color11\":\"#c18401\",\"color12\":\"#4078f2\",\"color13\":\"#a626a4\",\"color14\":\"#0184bc\",\"color15\":\"#090a0b\"}}",


"\
{\"special\":{\"background\":\"#00002A\",\"foreground\":\"#D0D0FA\",\"cursor\":\"#D0D0FA\"},\"colors\":{\"color0\":\"#00002A\",\"color1\":\"#FF4242\",\"color2\":\"#59F176\",\"color3\":\"#F3E877\",\"color4\":\"#66B0FF\",\"color5\":\"#F10596\",\"color6\":\"#0EF0F0\",\"color7\":\"#D0D0FA\",\"color8\":\"#50507A\",\"color9\":\"#FF4242\",\"color10\":\"#59F176\",\"color11\":\"#F3E877\",\"color12\":\"#66B0FF\",\"color13\":\"#F10596\",\"color14\":\"#0EF0F0\",\"color15\":\"#F5F5FF\"}}",


"\
{\"special\":{\"background\":\"#2f1e2e\",\"foreground\":\"#a39e9b\",\"cursor\":\"#a39e9b\"},\"colors\":{\"color0\":\"#2f1e2e\",\"color1\":\"#ef6155\",\"color2\":\"#48b685\",\"color3\":\"#fec418\",\"color4\":\"#06b6ef\",\"color5\":\"#815ba4\",\"color6\":\"#5bc4bf\",\"color7\":\"#a39e9b\",\"color8\":\"#776e71\",\"color9\":\"#ef6155\",\"color10\":\"#48b685\",\"color11\":\"#fec418\",\"color12\":\"#06b6ef\",\"color13\":\"#815ba4\",\"color14\":\"#5bc4bf\",\"color15\":\"#e7e9db\"}}",


"\
{\"special\":{\"background\":\"#061229\",\"foreground\":\"#b8bbc2\",\"cursor\":\"#b8bbc2\"},\"colors\":{\"color0\":\"#061229\",\"color1\":\"#d07346\",\"color2\":\"#99bf52\",\"color3\":\"#fbd461\",\"color4\":\"#5299bf\",\"color5\":\"#9989cc\",\"color6\":\"#72b9bf\",\"color7\":\"#b8bbc2\",\"color8\":\"#717885\",\"color9\":\"#d07346\",\"color10\":\"#99bf52\",\"color11\":\"#fbd461\",\"color12\":\"#5299bf\",\"color13\":\"#9989cc\",\"color14\":\"#72b9bf\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#5f574f\",\"cursor\":\"#5f574f\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#ff004d\",\"color2\":\"#00e756\",\"color3\":\"#fff024\",\"color4\":\"#83769c\",\"color5\":\"#ff77a8\",\"color6\":\"#29adff\",\"color7\":\"#5f574f\",\"color8\":\"#008751\",\"color9\":\"#ff004d\",\"color10\":\"#00e756\",\"color11\":\"#fff024\",\"color12\":\"#83769c\",\"color13\":\"#ff77a8\",\"color14\":\"#29adff\",\"color15\":\"#fff1e8\"}}",


"\
{\"special\":{\"background\":\"#000000\",\"foreground\":\"#d0d0d0\",\"cursor\":\"#d0d0d0\"},\"colors\":{\"color0\":\"#000000\",\"color1\":\"#eb008a\",\"color2\":\"#37b349\",\"color3\":\"#f8ca12\",\"color4\":\"#0e5a94\",\"color5\":\"#b31e8d\",\"color6\":\"#00aabb\",\"color7\":\"#d0d0d0\",\"color8\":\"#505050\",\"color9\":\"#eb008a\",\"color10\":\"#37b349\",\"color11\":\"#f8ca12\",\"color12\":\"#0e5a94\",\"color13\":\"#b31e8d\",\"color14\":\"#00aabb\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#292c36\",\"foreground\":\"#d8d8d8\",\"cursor\":\"#d8d8d8\"},\"colors\":{\"color0\":\"#292c36\",\"color1\":\"#f84547\",\"color2\":\"#95c76f\",\"color3\":\"#efa16b\",\"color4\":\"#8485ce\",\"color5\":\"#b74989\",\"color6\":\"#64878f\",\"color7\":\"#d8d8d8\",\"color8\":\"#65568a\",\"color9\":\"#f84547\",\"color10\":\"#95c76f\",\"color11\":\"#efa16b\",\"color12\":\"#8485ce\",\"color13\":\"#b74989\",\"color14\":\"#64878f\",\"color15\":\"#f8f8f8\"}}",


"\
{\"special\":{\"background\":\"#2b2b2b\",\"foreground\":\"#e6e1dc\",\"cursor\":\"#e6e1dc\"},\"colors\":{\"color0\":\"#2b2b2b\",\"color1\":\"#da4939\",\"color2\":\"#a5c261\",\"color3\":\"#ffc66d\",\"color4\":\"#6d9cbe\",\"color5\":\"#b6b3eb\",\"color6\":\"#519f50\",\"color7\":\"#e6e1dc\",\"color8\":\"#5a647e\",\"color9\":\"#da4939\",\"color10\":\"#a5c261\",\"color11\":\"#ffc66d\",\"color12\":\"#6d9cbe\",\"color13\":\"#b6b3eb\",\"color14\":\"#519f50\",\"color15\":\"#f9f7f3\"}}",


"\
{\"special\":{\"background\":\"#292a44\",\"foreground\":\"#f1eff8\",\"cursor\":\"#f1eff8\"},\"colors\":{\"color0\":\"#292a44\",\"color1\":\"#a0a0c5\",\"color2\":\"#6dfedf\",\"color3\":\"#ae81ff\",\"color4\":\"#2de0a7\",\"color5\":\"#7aa5ff\",\"color6\":\"#8eaee0\",\"color7\":\"#f1eff8\",\"color8\":\"#666699\",\"color9\":\"#a0a0c5\",\"color10\":\"#6dfedf\",\"color11\":\"#ae81ff\",\"color12\":\"#2de0a7\",\"color13\":\"#7aa5ff\",\"color14\":\"#8eaee0\",\"color15\":\"#53495d\"}}",


"\
{\"special\":{\"background\":\"#151718\",\"foreground\":\"#d6d6d6\",\"cursor\":\"#d6d6d6\"},\"colors\":{\"color0\":\"#151718\",\"color1\":\"#Cd3f45\",\"color2\":\"#9fca56\",\"color3\":\"#e6cd69\",\"color4\":\"#55b5db\",\"color5\":\"#a074c4\",\"color6\":\"#55dbbe\",\"color7\":\"#d6d6d6\",\"color8\":\"#41535B\",\"color9\":\"#Cd3f45\",\"color10\":\"#9fca56\",\"color11\":\"#e6cd69\",\"color12\":\"#55b5db\",\"color13\":\"#a074c4\",\"color14\":\"#55dbbe\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#f9f9f9\",\"foreground\":\"#102015\",\"cursor\":\"#102015\"},\"colors\":{\"color0\":\"#f9f9f9\",\"color1\":\"#e92f2f\",\"color2\":\"#0ed839\",\"color3\":\"#dddd13\",\"color4\":\"#3b48e3\",\"color5\":\"#f996e2\",\"color6\":\"#23edda\",\"color7\":\"#102015\",\"color8\":\"#555555\",\"color9\":\"#e92f2f\",\"color10\":\"#0ed839\",\"color11\":\"#dddd13\",\"color12\":\"#3b48e3\",\"color13\":\"#f996e2\",\"color14\":\"#23edda\",\"color15\":\"#000000\"}}",


"\
{\"special\":{\"background\":\"#282a36\",\"foreground\":\"#eff0eb\",\"cursor\":\"#9aedfe\"},\"colors\":{\"color0\":\"#33303b\",\"color1\":\"#ff5c57\",\"color2\":\"#5af78e\",\"color3\":\"#f3f99d\",\"color4\":\"#57c7ff\",\"color5\":\"#ff6ac1\",\"color6\":\"#9aedfe\",\"color7\":\"#eff0eb\",\"color8\":\"#4f4b58\",\"color9\":\"#ff5c57\",\"color10\":\"#5af78e\",\"color11\":\"#f3f99d\",\"color12\":\"#57c7ff\",\"color13\":\"#ff6ac1\",\"color14\":\"#9aedfe\",\"color15\":\"#eff0eb\"}}
",


"\
{\"special\":{\"background\":\"#18262F\",\"foreground\":\"#A6AFB8\",\"cursor\":\"#A6AFB8\"},\"colors\":{\"color0\":\"#18262F\",\"color1\":\"#EF5253\",\"color2\":\"#7CC844\",\"color3\":\"#E4B51C\",\"color4\":\"#33B5E1\",\"color5\":\"#A363D5\",\"color6\":\"#52CBB0\",\"color7\":\"#A6AFB8\",\"color8\":\"#667581\",\"color9\":\"#EF5253\",\"color10\":\"#7CC844\",\"color11\":\"#E4B51C\",\"color12\":\"#33B5E1\",\"color13\":\"#A363D5\",\"color14\":\"#52CBB0\",\"color15\":\"#F5F7FA\"}}",


"\
{\"special\":{\"background\":\"#002b36\",\"foreground\":\"#93a1a1\",\"cursor\":\"#93a1a1\"},\"colors\":{\"color0\":\"#002b36\",\"color1\":\"#dc322f\",\"color2\":\"#859900\",\"color3\":\"#b58900\",\"color4\":\"#268bd2\",\"color5\":\"#6c71c4\",\"color6\":\"#2aa198\",\"color7\":\"#93a1a1\",\"color8\":\"#657b83\",\"color9\":\"#dc322f\",\"color10\":\"#859900\",\"color11\":\"#b58900\",\"color12\":\"#268bd2\",\"color13\":\"#6c71c4\",\"color14\":\"#2aa198\",\"color15\":\"#fdf6e3\"}}",


"\
{\"special\":{\"background\":\"#fdf6e3\",\"foreground\":\"#586e75\",\"cursor\":\"#586e75\"},\"colors\":{\"color0\":\"#fdf6e3\",\"color1\":\"#dc322f\",\"color2\":\"#859900\",\"color3\":\"#b58900\",\"color4\":\"#268bd2\",\"color5\":\"#6c71c4\",\"color6\":\"#2aa198\",\"color7\":\"#586e75\",\"color8\":\"#839496\",\"color9\":\"#dc322f\",\"color10\":\"#859900\",\"color11\":\"#b58900\",\"color12\":\"#268bd2\",\"color13\":\"#6c71c4\",\"color14\":\"#2aa198\",\"color15\":\"#002b36\"}}",


"\
{\"special\":{\"background\":\"#1f2022\",\"foreground\":\"#a3a3a3\",\"cursor\":\"#a3a3a3\"},\"colors\":{\"color0\":\"#1f2022\",\"color1\":\"#f2241f\",\"color2\":\"#67b11d\",\"color3\":\"#b1951d\",\"color4\":\"#4f97d7\",\"color5\":\"#a31db1\",\"color6\":\"#2d9574\",\"color7\":\"#a3a3a3\",\"color8\":\"#585858\",\"color9\":\"#f2241f\",\"color10\":\"#67b11d\",\"color11\":\"#b1951d\",\"color12\":\"#4f97d7\",\"color13\":\"#a31db1\",\"color14\":\"#2d9574\",\"color15\":\"#f8f8f8\"}}",


"\
{\"special\":{\"background\":\"#151515\",\"foreground\":\"#D0D0D0\",\"cursor\":\"#D0D0D0\"},\"colors\":{\"color0\":\"#151515\",\"color1\":\"#FF0086\",\"color2\":\"#00C918\",\"color3\":\"#ABA800\",\"color4\":\"#3777E6\",\"color5\":\"#AD00A1\",\"color6\":\"#1FAAAA\",\"color7\":\"#D0D0D0\",\"color8\":\"#505050\",\"color9\":\"#FF0086\",\"color10\":\"#00C918\",\"color11\":\"#ABA800\",\"color12\":\"#3777E6\",\"color13\":\"#AD00A1\",\"color14\":\"#1FAAAA\",\"color15\":\"#FFFFFF\"}}",


"\
{\"special\":{\"background\":\"#FFFFFF\",\"foreground\":\"#101010\",\"cursor\":\"#101010\"},\"colors\":{\"color0\":\"#FFFFFF\",\"color1\":\"#FF0086\",\"color2\":\"#00C918\",\"color3\":\"#ABA800\",\"color4\":\"#3777E6\",\"color5\":\"#AD00A1\",\"color6\":\"#1FAAAA\",\"color7\":\"#101010\",\"color8\":\"#B0B0B0\",\"color9\":\"#FF0086\",\"color10\":\"#00C918\",\"color11\":\"#ABA800\",\"color12\":\"#3777E6\",\"color13\":\"#AD00A1\",\"color14\":\"#1FAAAA\",\"color15\":\"#202020\"}}",


"\
{\"special\":{\"background\":\"#ffffff\",\"foreground\":\"#4d4d4c\",\"cursor\":\"#4d4d4c\"},\"colors\":{\"color0\":\"#ffffff\",\"color1\":\"#c82829\",\"color2\":\"#718c00\",\"color3\":\"#eab700\",\"color4\":\"#4271ae\",\"color5\":\"#8959a8\",\"color6\":\"#3e999f\",\"color7\":\"#4d4d4c\",\"color8\":\"#8e908c\",\"color9\":\"#c82829\",\"color10\":\"#718c00\",\"color11\":\"#eab700\",\"color12\":\"#4271ae\",\"color13\":\"#8959a8\",\"color14\":\"#3e999f\",\"color15\":\"#1d1f21\"}}",


"\
{\"special\":{\"background\":\"#1d1f21\",\"foreground\":\"#c5c8c6\",\"cursor\":\"#c5c8c6\"},\"colors\":{\"color0\":\"#1d1f21\",\"color1\":\"#cc6666\",\"color2\":\"#b5bd68\",\"color3\":\"#f0c674\",\"color4\":\"#81a2be\",\"color5\":\"#b294bb\",\"color6\":\"#8abeb7\",\"color7\":\"#c5c8c6\",\"color8\":\"#969896\",\"color9\":\"#cc6666\",\"color10\":\"#b5bd68\",\"color11\":\"#f0c674\",\"color12\":\"#81a2be\",\"color13\":\"#b294bb\",\"color14\":\"#8abeb7\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#1D2021\",\"foreground\":\"#A89984\",\"cursor\":\"#A89984\"},\"colors\":{\"color0\":\"#1D2021\",\"color1\":\"#FB543F\",\"color2\":\"#95C085\",\"color3\":\"#FAC03B\",\"color4\":\"#0D6678\",\"color5\":\"#8F4673\",\"color6\":\"#8BA59B\",\"color7\":\"#A89984\",\"color8\":\"#665C54\",\"color9\":\"#FB543F\",\"color10\":\"#95C085\",\"color11\":\"#FAC03B\",\"color12\":\"#0D6678\",\"color13\":\"#8F4673\",\"color14\":\"#8BA59B\",\"color15\":\"#FDF4C1\"}}",


"\
{\"special\":{\"background\":\"#231f20\",\"foreground\":\"#d9d8d8\",\"cursor\":\"#d9d8d8\"},\"colors\":{\"color0\":\"#231f20\",\"color1\":\"#ee2e24\",\"color2\":\"#00853e\",\"color3\":\"#ffd204\",\"color4\":\"#009ddc\",\"color5\":\"#98005d\",\"color6\":\"#85cebc\",\"color7\":\"#d9d8d8\",\"color8\":\"#737171\",\"color9\":\"#ee2e24\",\"color10\":\"#00853e\",\"color11\":\"#ffd204\",\"color12\":\"#009ddc\",\"color13\":\"#98005d\",\"color14\":\"#85cebc\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#1e1e1e\",\"foreground\":\"#a7a7a7\",\"cursor\":\"#a7a7a7\"},\"colors\":{\"color0\":\"#1e1e1e\",\"color1\":\"#cf6a4c\",\"color2\":\"#8f9d6a\",\"color3\":\"#f9ee98\",\"color4\":\"#7587a6\",\"color5\":\"#9b859d\",\"color6\":\"#afc4db\",\"color7\":\"#a7a7a7\",\"color8\":\"#5f5a60\",\"color9\":\"#cf6a4c\",\"color10\":\"#8f9d6a\",\"color11\":\"#f9ee98\",\"color12\":\"#7587a6\",\"color13\":\"#9b859d\",\"color14\":\"#afc4db\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#2e2a31\",\"foreground\":\"#bcbabe\",\"cursor\":\"#bcbabe\"},\"colors\":{\"color0\":\"#2e2a31\",\"color1\":\"#d8137f\",\"color2\":\"#17ad98\",\"color3\":\"#dc8a0e\",\"color4\":\"#796af5\",\"color5\":\"#bb60ea\",\"color6\":\"#149bda\",\"color7\":\"#bcbabe\",\"color8\":\"#838085\",\"color9\":\"#d8137f\",\"color10\":\"#17ad98\",\"color11\":\"#dc8a0e\",\"color12\":\"#796af5\",\"color13\":\"#bb60ea\",\"color14\":\"#149bda\",\"color15\":\"#f5f4f7\"}}",


"\
{\"special\":{\"background\":\"#ffffff\",\"foreground\":\"#6c696e\",\"cursor\":\"#6c696e\"},\"colors\":{\"color0\":\"#ffffff\",\"color1\":\"#d8137f\",\"color2\":\"#17ad98\",\"color3\":\"#dc8a0e\",\"color4\":\"#775dff\",\"color5\":\"#aa17e6\",\"color6\":\"#149bda\",\"color7\":\"#6c696e\",\"color8\":\"#a7a5a8\",\"color9\":\"#d8137f\",\"color10\":\"#17ad98\",\"color11\":\"#dc8a0e\",\"color12\":\"#775dff\",\"color13\":\"#aa17e6\",\"color14\":\"#149bda\",\"color15\":\"#322d34\"}}",


"\
{\"special\":{\"background\":\"#231e18\",\"foreground\":\"#cabcb1\",\"cursor\":\"#cabcb1\"},\"colors\":{\"color0\":\"#231e18\",\"color1\":\"#d35c5c\",\"color2\":\"#b7ba53\",\"color3\":\"#e0ac16\",\"color4\":\"#88a4d3\",\"color5\":\"#bb90e2\",\"color6\":\"#6eb958\",\"color7\":\"#cabcb1\",\"color8\":\"#9d8b70\",\"color9\":\"#d35c5c\",\"color10\":\"#b7ba53\",\"color11\":\"#e0ac16\",\"color12\":\"#88a4d3\",\"color13\":\"#bb90e2\",\"color14\":\"#6eb958\",\"color15\":\"#e4d4c8\"}}",


"\
{\"special\":{\"background\":\"#282B35\",\"foreground\":\"#939599\",\"cursor\":\"#939599\"},\"colors\":{\"color0\":\"#282B35\",\"color1\":\"#B21889\",\"color2\":\"#DF0002\",\"color3\":\"#438288\",\"color4\":\"#790EAD\",\"color5\":\"#B21889\",\"color6\":\"#00A0BE\",\"color7\":\"#939599\",\"color8\":\"#686A71\",\"color9\":\"#B21889\",\"color10\":\"#DF0002\",\"color11\":\"#438288\",\"color12\":\"#790EAD\",\"color13\":\"#B21889\",\"color14\":\"#00A0BE\",\"color15\":\"#BEBFC2\"}}",


"\
{\"special\":{\"background\":\"#3f3f3f\",\"foreground\":\"#dcdccc\",\"cursor\":\"#dcdccc\"},\"colors\":{\"color0\":\"#3f3f3f\",\"color1\":\"#dca3a3\",\"color2\":\"#5f7f5f\",\"color3\":\"#e0cf9f\",\"color4\":\"#7cb8bb\",\"color5\":\"#dc8cc3\",\"color6\":\"#93e0e3\",\"color7\":\"#dcdccc\",\"color8\":\"#4f4f4f\",\"color9\":\"#dca3a3\",\"color10\":\"#5f7f5f\",\"color11\":\"#e0cf9f\",\"color12\":\"#7cb8bb\",\"color13\":\"#dc8cc3\",\"color14\":\"#93e0e3\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#1d2021\",\"foreground\":\"#a89984\",\"cursor\":\"#fb543f\"},\"colors\":{\"color0\":\"#1d2021\",\"color1\":\"#fb543f\",\"color2\":\"#95c085\",\"color3\":\"#fac03b\",\"color4\":\"#0d6678\",\"color5\":\"#8f4673\",\"color6\":\"#8ba59b\",\"color7\":\"#a89984\",\"color8\":\"#665c54\",\"color9\":\"#fb543f\",\"color10\":\"#95c085\",\"color11\":\"#fac03b\",\"color12\":\"#0d6678\",\"color13\":\"#8f4673\",\"color14\":\"#8ba59b\",\"color15\":\"#fdf4c1\"}}",


"\
{\"special\":{\"background\":\"#353234\",\"foreground\":\"#c29f6f\",\"cursor\":\"#363334\"},\"colors\":{\"color0\":\"#353234\",\"color1\":\"#97544d\",\"color2\":\"#97a293\",\"color3\":\"#c29f6f\",\"color4\":\"#5e606c\",\"color5\":\"#7a6054\",\"color6\":\"#78746c\",\"color7\":\"#c3c1b8\",\"color8\":\"#5c575b\",\"color9\":\"#97544d\",\"color10\":\"#97a293\",\"color11\":\"#c29f6f\",\"color12\":\"#5e606c\",\"color13\":\"#7a6054\",\"color14\":\"#78746c\",\"color15\":\"#c3c1b8\"}}",


"\
{\"special\":{\"background\":\"#262020\",\"foreground\":\"#aa9a71\",\"cursor\":\"#b1a89c\"},\"colors\":{\"color0\":\"#262020\",\"color1\":\"#925633\",\"color2\":\"#55634f\",\"color3\":\"#aa9a71\",\"color4\":\"#5e6676\",\"color5\":\"#57464d\",\"color6\":\"#47676e\",\"color7\":\"#b1a89c\",\"color8\":\"#514c4c\",\"color9\":\"#925633\",\"color10\":\"#55634f\",\"color11\":\"#aa9a71\",\"color12\":\"#5e6676\",\"color13\":\"#57464d\",\"color14\":\"#47676e\",\"color15\":\"#c8c1b9\"}}",


"\
{\"special\":{\"background\":\"#30272b\",\"foreground\":\"#978341\",\"cursor\":\"#bcb8ba\"},\"colors\":{\"color0\":\"#30272b\",\"color1\":\"#925633\",\"color2\":\"#697234\",\"color3\":\"#978341\",\"color4\":\"#5e6676\",\"color5\":\"#694e63\",\"color6\":\"#47676e\",\"color7\":\"#bcb8ba\",\"color8\":\"#443c40\",\"color9\":\"#925633\",\"color10\":\"#697234\",\"color11\":\"#978341\",\"color12\":\"#5e6676\",\"color13\":\"#694e63\",\"color14\":\"#47676e\",\"color15\":\"#bcb8ba\"}}",


"\
{\"special\":{\"background\":\"#272725\",\"foreground\":\"#bc9f67\",\"cursor\":\"#282826\"},\"colors\":{\"color0\":\"#272725\",\"color1\":\"#7d5151\",\"color2\":\"#959c4f\",\"color3\":\"#a78749\",\"color4\":\"#455563\",\"color5\":\"#9f908d\",\"color6\":\"#4a5e5b\",\"color7\":\"#f2f2f2\",\"color8\":\"#4f4f4b\",\"color9\":\"#7d5151\",\"color10\":\"#959c4f\",\"color11\":\"#a78749\",\"color12\":\"#455563\",\"color13\":\"#9f908d\",\"color14\":\"#4a5e5b\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#2c2a2b\",\"foreground\":\"#baad8a\",\"cursor\":\"#bab9ba\"},\"colors\":{\"color0\":\"#2c2a2b\",\"color1\":\"#a67979\",\"color2\":\"#809f7b\",\"color3\":\"#baad8a\",\"color4\":\"#6d7575\",\"color5\":\"#7d6969\",\"color6\":\"#7b9899\",\"color7\":\"#bab9ba\",\"color8\":\"#545253\",\"color9\":\"#a67979\",\"color10\":\"#809f7b\",\"color11\":\"#baad8a\",\"color12\":\"#6d7575\",\"color13\":\"#7d6969\",\"color14\":\"#7b9899\",\"color15\":\"#bab9ba\"}}",


"\
{\"special\":{\"background\":\"#272a2a\",\"foreground\":\"#80807e\",\"cursor\":\"#eaeaed\"},\"colors\":{\"color0\":\"#272a2a\",\"color1\":\"#b05f5f\",\"color2\":\"#b05f5f\",\"color3\":\"#88aa55\",\"color4\":\"#88aa55\",\"color5\":\"#ccb05f\",\"color6\":\"#ccb05f\",\"color7\":\"#556973\",\"color8\":\"#484c4e\",\"color9\":\"#b05f5f\",\"color10\":\"#b05f5f\",\"color11\":\"#88aa55\",\"color12\":\"#88aa55\",\"color13\":\"#ccb05f\",\"color14\":\"#ccb05f\",\"color15\":\"#f6f7f8\"}}",


"\
{\"special\":{\"background\":\"#1c1f23\",\"foreground\":\"#7e6b5f\",\"cursor\":\"#202428\"},\"colors\":{\"color0\":\"#1c1f23\",\"color1\":\"#234640\",\"color2\":\"#555552\",\"color3\":\"#7e6b5f\",\"color4\":\"#384758\",\"color5\":\"#444d4d\",\"color6\":\"#415459\",\"color7\":\"#ccc7bf\",\"color8\":\"#33383f\",\"color9\":\"#234640\",\"color10\":\"#555552\",\"color11\":\"#7e6b5f\",\"color12\":\"#384758\",\"color13\":\"#444d4d\",\"color14\":\"#415459\",\"color15\":\"#e3e0db\"}}",


"\
{\"special\":{\"background\":\"#2b2b28\",\"foreground\":\"#937b5a\",\"cursor\":\"#2c2c29\"},\"colors\":{\"color0\":\"#2b2b28\",\"color1\":\"#993f3c\",\"color2\":\"#78855e\",\"color3\":\"#937b5a\",\"color4\":\"#415265\",\"color5\":\"#885458\",\"color6\":\"#646666\",\"color7\":\"#c4c3c0\",\"color8\":\"#c4c3c0\",\"color9\":\"#993f3c\",\"color10\":\"#78855e\",\"color11\":\"#937b5a\",\"color12\":\"#415265\",\"color13\":\"#885458\",\"color14\":\"#646666\",\"color15\":\"#c4c3c0\"}}",


"\
{\"special\":{\"background\":\"#32221a\",\"foreground\":\"#d29b5a\",\"cursor\":\"#cfc1a9\"},\"colors\":{\"color0\":\"#32221a\",\"color1\":\"#c2562d\",\"color2\":\"#96a65e\",\"color3\":\"#d29b5a\",\"color4\":\"#3b8e8c\",\"color5\":\"#c47e5b\",\"color6\":\"#639a90\",\"color7\":\"#cfc1a9\",\"color8\":\"#564a45\",\"color9\":\"#c2562d\",\"color10\":\"#96a65e\",\"color11\":\"#d29b5a\",\"color12\":\"#3b8e8c\",\"color13\":\"#c47e5b\",\"color14\":\"#639a90\",\"color15\":\"#cfc1a9\"}}",


"\
{\"special\":{\"background\":\"#272825\",\"foreground\":\"#7e744d\",\"cursor\":\"#282926\"},\"colors\":{\"color0\":\"#272825\",\"color1\":\"#674839\",\"color2\":\"#6e794f\",\"color3\":\"#7e744d\",\"color4\":\"#3b474e\",\"color5\":\"#554c41\",\"color6\":\"#495355\",\"color7\":\"#b0b0af\",\"color8\":\"#b0b0af\",\"color9\":\"#674839\",\"color10\":\"#6e794f\",\"color11\":\"#7e744d\",\"color12\":\"#3b474e\",\"color13\":\"#554c41\",\"color14\":\"#495355\",\"color15\":\"#c7c7c7\"}}",


"\
{\"special\":{\"background\":\"#2c292b\",\"foreground\":\"#c8a168\",\"cursor\":\"#312e30\"},\"colors\":{\"color0\":\"#2c292b\",\"color1\":\"#ab6d4e\",\"color2\":\"#88885d\",\"color3\":\"#c8a168\",\"color4\":\"#45626e\",\"color5\":\"#7c5545\",\"color6\":\"#456e66\",\"color7\":\"#c3b495\",\"color8\":\"#c3b495\",\"color9\":\"#ab6d4e\",\"color10\":\"#88885d\",\"color11\":\"#c8a168\",\"color12\":\"#45626e\",\"color13\":\"#7c5545\",\"color14\":\"#456e66\",\"color15\":\"#c3b495\"}}",


"\
{\"special\":{\"background\":\"#383844\",\"foreground\":\"#cba264\",\"cursor\":\"#cdc5b7\"},\"colors\":{\"color0\":\"#383844\",\"color1\":\"#a7664a\",\"color2\":\"#6e8c6e\",\"color3\":\"#cba264\",\"color4\":\"#535f6b\",\"color5\":\"#775a62\",\"color6\":\"#576e68\",\"color7\":\"#cdc5b7\",\"color8\":\"#4f4f60\",\"color9\":\"#a7664a\",\"color10\":\"#6e8c6e\",\"color11\":\"#cba264\",\"color12\":\"#535f6b\",\"color13\":\"#775a62\",\"color14\":\"#576e68\",\"color15\":\"#cdc5b7\"}}",


"\
{\"special\":{\"background\":\"#1f1d1d\",\"foreground\":\"#856237\",\"cursor\":\"#ccbaad\"},\"colors\":{\"color0\":\"#1f1d1d\",\"color1\":\"#6b4747\",\"color2\":\"#8d7138\",\"color3\":\"#856237\",\"color4\":\"#3c3c49\",\"color5\":\"#3c342e\",\"color6\":\"#5d5a4b\",\"color7\":\"#ccbaad\",\"color8\":\"#4a4a4a\",\"color9\":\"#6b4747\",\"color10\":\"#8d7138\",\"color11\":\"#856237\",\"color12\":\"#3c3c49\",\"color13\":\"#3c342e\",\"color14\":\"#5d5a4b\",\"color15\":\"#eae2dc\"}}",


"\
{\"special\":{\"background\":\"#27201d\",\"foreground\":\"#987f4b\",\"cursor\":\"#b7afa4\"},\"colors\":{\"color0\":\"#27201d\",\"color1\":\"#663c23\",\"color2\":\"#5c5933\",\"color3\":\"#987f4b\",\"color4\":\"#4b484b\",\"color5\":\"#9c8065\",\"color6\":\"#685a50\",\"color7\":\"#b7afa4\",\"color8\":\"#3c3633\",\"color9\":\"#663c23\",\"color10\":\"#5c5933\",\"color11\":\"#987f4b\",\"color12\":\"#4b484b\",\"color13\":\"#9c8065\",\"color14\":\"#685a50\",\"color15\":\"#b7afa4\"}}",


"\
{\"special\":{\"background\":\"#2c2833\",\"foreground\":\"#b7a16c\",\"cursor\":\"#dbd7b8\"},\"colors\":{\"color0\":\"#2c2833\",\"color1\":\"#bf6257\",\"color2\":\"#82a37c\",\"color3\":\"#b7a16c\",\"color4\":\"#6d6a80\",\"color5\":\"#825969\",\"color6\":\"#938e8f\",\"color7\":\"#dbd7b8\",\"color8\":\"#4e4955\",\"color9\":\"#bf6257\",\"color10\":\"#82a37c\",\"color11\":\"#b7a16c\",\"color12\":\"#6d6a80\",\"color13\":\"#825969\",\"color14\":\"#938e8f\",\"color15\":\"#dbd7b8\"}}",


"\
{\"special\":{\"background\":\"#242e32\",\"foreground\":\"#ac8d6e\",\"cursor\":\"#c4c4b5\"},\"colors\":{\"color0\":\"#242e32\",\"color1\":\"#a66959\",\"color2\":\"#769070\",\"color3\":\"#ac8d6e\",\"color4\":\"#607a86\",\"color5\":\"#8a757e\",\"color6\":\"#60867f\",\"color7\":\"#c4c4b5\",\"color8\":\"#35444b\",\"color9\":\"#a66959\",\"color10\":\"#769070\",\"color11\":\"#ac8d6e\",\"color12\":\"#607a86\",\"color13\":\"#8a757e\",\"color14\":\"#60867f\",\"color15\":\"#c4c4b5\"}}",


"\
{\"special\":{\"background\":\"#2e3738\",\"foreground\":\"#b8af97\",\"cursor\":\"#aba599\"},\"colors\":{\"color0\":\"#2e3738\",\"color1\":\"#9c7f5d\",\"color2\":\"#8e958f\",\"color3\":\"#b8af97\",\"color4\":\"#828882\",\"color5\":\"#bb9a7f\",\"color6\":\"#9daba2\",\"color7\":\"#aba599\",\"color8\":\"#485152\",\"color9\":\"#9c7f5d\",\"color10\":\"#8e958f\",\"color11\":\"#b8af97\",\"color12\":\"#828882\",\"color13\":\"#bb9a7f\",\"color14\":\"#9daba2\",\"color15\":\"#aba599\"}}",


"\
{\"special\":{\"background\":\"#1c2319\",\"foreground\":\"#be9e61\",\"cursor\":\"#bcbebb\"},\"colors\":{\"color0\":\"#1c2319\",\"color1\":\"#c14d38\",\"color2\":\"#a0ce52\",\"color3\":\"#be9e61\",\"color4\":\"#4c7e89\",\"color5\":\"#814d61\",\"color6\":\"#79a69d\",\"color7\":\"#bcbebb\",\"color8\":\"#35422f\",\"color9\":\"#c14d38\",\"color10\":\"#a0ce52\",\"color11\":\"#be9e61\",\"color12\":\"#4c7e89\",\"color13\":\"#814d61\",\"color14\":\"#79a69d\",\"color15\":\"#bcbebb\"}}",


"\
{\"special\":{\"background\":\"#262c1b\",\"foreground\":\"#d6caaa\",\"cursor\":\"#c1c5bd\"},\"colors\":{\"color0\":\"#262c1b\",\"color1\":\"#7f5545\",\"color2\":\"#677c54\",\"color3\":\"#bba772\",\"color4\":\"#6e6a5b\",\"color5\":\"#92887e\",\"color6\":\"#7c7562\",\"color7\":\"#cccdbd\",\"color8\":\"#474c3e\",\"color9\":\"#7f5545\",\"color10\":\"#677c54\",\"color11\":\"#bba772\",\"color12\":\"#6e6a5b\",\"color13\":\"#92887e\",\"color14\":\"#7c7562\",\"color15\":\"#e0e1d7\"}}",


"\
{\"special\":{\"background\":\"#2f2832\",\"foreground\":\"#9a8e80\",\"cursor\":\"#302833\"},\"colors\":{\"color0\":\"#2f2832\",\"color1\":\"#885d50\",\"color2\":\"#747965\",\"color3\":\"#9a8e80\",\"color4\":\"#4a4e5a\",\"color5\":\"#76675b\",\"color6\":\"#59555c\",\"color7\":\"#bcb5b5\",\"color8\":\"#4a3f4e\",\"color9\":\"#885d50\",\"color10\":\"#747965\",\"color11\":\"#9a8e80\",\"color12\":\"#4a4e5a\",\"color13\":\"#76675b\",\"color14\":\"#59555c\",\"color15\":\"#dddada\"}}",


"\
{\"special\":{\"background\":\"#161f14\",\"foreground\":\"#806420\",\"cursor\":\"#172015\"},\"colors\":{\"color0\":\"#161f14\",\"color1\":\"#744425\",\"color2\":\"#50703f\",\"color3\":\"#806420\",\"color4\":\"#56535d\",\"color5\":\"#71532f\",\"color6\":\"#45605d\",\"color7\":\"#aca173\",\"color8\":\"#2d352b\",\"color9\":\"#744425\",\"color10\":\"#50703f\",\"color11\":\"#806420\",\"color12\":\"#56535d\",\"color13\":\"#71532f\",\"color14\":\"#45605d\",\"color15\":\"#aca173\"}}",


"\
{\"special\":{\"background\":\"#1e1e1e\",\"foreground\":\"#4c6640\",\"cursor\":\"#9e9e91\"},\"colors\":{\"color0\":\"#1e1e1e\",\"color1\":\"#98442f\",\"color2\":\"#9d8554\",\"color3\":\"#4c6640\",\"color4\":\"#4c596b\",\"color5\":\"#7b6072\",\"color6\":\"#385853\",\"color7\":\"#9e9e91\",\"color8\":\"#363636\",\"color9\":\"#98442f\",\"color10\":\"#9d8554\",\"color11\":\"#4c6640\",\"color12\":\"#4c596b\",\"color13\":\"#7b6072\",\"color14\":\"#385853\",\"color15\":\"#9e9e91\"}}",


"\
{\"special\":{\"background\":\"#322b26\",\"foreground\":\"#d7b18a\",\"cursor\":\"#c8b49d\"},\"colors\":{\"color0\":\"#322b26\",\"color1\":\"#bd6151\",\"color2\":\"#6e9383\",\"color3\":\"#d7b18a\",\"color4\":\"#8a8f94\",\"color5\":\"#bd9a81\",\"color6\":\"#91a1a5\",\"color7\":\"#c8b49d\",\"color8\":\"#63554c\",\"color9\":\"#bd6151\",\"color10\":\"#6e9383\",\"color11\":\"#d7b18a\",\"color12\":\"#8a8f94\",\"color13\":\"#bd9a81\",\"color14\":\"#91a1a5\",\"color15\":\"#c8b49d\"}}",


"\
{\"special\":{\"background\":\"#272733\",\"foreground\":\"#dabe72\",\"cursor\":\"#cac5b7\"},\"colors\":{\"color0\":\"#272733\",\"color1\":\"#d65f2f\",\"color2\":\"#aabf7f\",\"color3\":\"#dabe72\",\"color4\":\"#5e7e9b\",\"color5\":\"#bf6c68\",\"color6\":\"#5a7273\",\"color7\":\"#cac5b7\",\"color8\":\"#48485e\",\"color9\":\"#d65f2f\",\"color10\":\"#aabf7f\",\"color11\":\"#dabe72\",\"color12\":\"#5e7e9b\",\"color13\":\"#bf6c68\",\"color14\":\"#5a7273\",\"color15\":\"#d5d1c6\"}}",


"\
{\"special\":{\"background\":\"#303728\",\"foreground\":\"#d4b06c\",\"cursor\":\"#b9bcb7\"},\"colors\":{\"color0\":\"#303728\",\"color1\":\"#d06e5c\",\"color2\":\"#abbb52\",\"color3\":\"#d4b06c\",\"color4\":\"#4c7e89\",\"color5\":\"#814d61\",\"color6\":\"#79a69d\",\"color7\":\"#b9bcb7\",\"color8\":\"#505847\",\"color9\":\"#d06e5c\",\"color10\":\"#abbb52\",\"color11\":\"#d4b06c\",\"color12\":\"#4c7e89\",\"color13\":\"#814d61\",\"color14\":\"#79a69d\",\"color15\":\"#b9bcb7\"}}",


"\
{\"special\":{\"background\":\"#222222\",\"foreground\":\"#c5c5b2\",\"cursor\":\"#242424\"},\"colors\":{\"color0\":\"#222222\",\"color1\":\"#4d4d4d\",\"color2\":\"#8a8c84\",\"color3\":\"#c5c5b2\",\"color4\":\"#5d5d5d\",\"color5\":\"#707070\",\"color6\":\"#898989\",\"color7\":\"#c2c2c2\",\"color8\":\"#484848\",\"color9\":\"#4d4d4d\",\"color10\":\"#8a8c84\",\"color11\":\"#c5c5b2\",\"color12\":\"#5d5d5d\",\"color13\":\"#707070\",\"color14\":\"#898989\",\"color15\":\"#f1f1f1\"}}",


"\
{\"special\":{\"background\":\"#20201f\",\"foreground\":\"#799c6a\",\"cursor\":\"#b0b0a2\"},\"colors\":{\"color0\":\"#20201f\",\"color1\":\"#996140\",\"color2\":\"#9d8554\",\"color3\":\"#799c6a\",\"color4\":\"#5f656a\",\"color5\":\"#7b6064\",\"color6\":\"#566e6b\",\"color7\":\"#b0b0a2\",\"color8\":\"#3a3a38\",\"color9\":\"#996140\",\"color10\":\"#9d8554\",\"color11\":\"#799c6a\",\"color12\":\"#5f656a\",\"color13\":\"#7b6064\",\"color14\":\"#566e6b\",\"color15\":\"#d3d3cb\"}}",


"\
{\"special\":{\"background\":\"#241d1a\",\"foreground\":\"#cca75f\",\"cursor\":\"#251e1b\"},\"colors\":{\"color0\":\"#241d1a\",\"color1\":\"#9f6434\",\"color2\":\"#9dac5f\",\"color3\":\"#cca75f\",\"color4\":\"#2f7d7c\",\"color5\":\"#b5896e\",\"color6\":\"#52877f\",\"color7\":\"#c7b8ac\",\"color8\":\"#50413a\",\"color9\":\"#9f6434\",\"color10\":\"#9dac5f\",\"color11\":\"#cca75f\",\"color12\":\"#2f7d7c\",\"color13\":\"#b5896e\",\"color14\":\"#52877f\",\"color15\":\"#c7b8ac\"}}",


"\
{\"special\":{\"background\":\"#2f2b2c\",\"foreground\":\"#cacaca\",\"cursor\":\"#dedede\"},\"colors\":{\"color0\":\"#2f2b2c\",\"color1\":\"#5a5a5a\",\"color2\":\"#989898\",\"color3\":\"#cacaca\",\"color4\":\"#656565\",\"color5\":\"#b1b1b1\",\"color6\":\"#7f7f7f\",\"color7\":\"#dedede\",\"color8\":\"#504c4e\",\"color9\":\"#5a5a5a\",\"color10\":\"#989898\",\"color11\":\"#cacaca\",\"color12\":\"#656565\",\"color13\":\"#b1b1b1\",\"color14\":\"#7f7f7f\",\"color15\":\"#FFFFFF\"}}",


"\
{\"special\":{\"background\":\"#2f2a2a\",\"foreground\":\"#b2885d\",\"cursor\":\"#332e2e\"},\"colors\":{\"color0\":\"#2f2a2a\",\"color1\":\"#854340\",\"color2\":\"#668c71\",\"color3\":\"#b2885d\",\"color4\":\"#41647b\",\"color5\":\"#915556\",\"color6\":\"#477578\",\"color7\":\"#c9c8c8\",\"color8\":\"#c9c8c8\",\"color9\":\"#854340\",\"color10\":\"#668c71\",\"color11\":\"#b2885d\",\"color12\":\"#41647b\",\"color13\":\"#915556\",\"color14\":\"#477578\",\"color15\":\"#c9c8c8\"}}",


"\
{\"special\":{\"background\":\"#2b2428\",\"foreground\":\"#b29d6a\",\"cursor\":\"#c2b7aa\"},\"colors\":{\"color0\":\"#2b2428\",\"color1\":\"#89453c\",\"color2\":\"#59713f\",\"color3\":\"#b29d6a\",\"color4\":\"#464e59\",\"color5\":\"#614e44\",\"color6\":\"#4f545b\",\"color7\":\"#c2b7aa\",\"color8\":\"#413c40\",\"color9\":\"#89453c\",\"color10\":\"#59713f\",\"color11\":\"#b29d6a\",\"color12\":\"#464e59\",\"color13\":\"#614e44\",\"color14\":\"#4f545b\",\"color15\":\"#c2b7aa\"}}",


"\
{\"special\":{\"background\":\"#2c2c2e\",\"foreground\":\"#87835d\",\"cursor\":\"#2e2e30\"},\"colors\":{\"color0\":\"#2c2c2e\",\"color1\":\"#645446\",\"color2\":\"#59674f\",\"color3\":\"#87835d\",\"color4\":\"#4d554f\",\"color5\":\"#70614f\",\"color6\":\"#666755\",\"color7\":\"#aba786\",\"color8\":\"#aba786\",\"color9\":\"#645446\",\"color10\":\"#59674f\",\"color11\":\"#87835d\",\"color12\":\"#4d554f\",\"color13\":\"#70614f\",\"color14\":\"#666755\",\"color15\":\"#c4c1aa\"}}",


"\
{\"special\":{\"background\":\"#22211f\",\"foreground\":\"#827834\",\"cursor\":\"#252422\"},\"colors\":{\"color0\":\"#22211f\",\"color1\":\"#785326\",\"color2\":\"#516941\",\"color3\":\"#827834\",\"color4\":\"#42514f\",\"color5\":\"#6a5632\",\"color6\":\"#4e5d4d\",\"color7\":\"#b4b399\",\"color8\":\"#b4b399\",\"color9\":\"#785326\",\"color10\":\"#516941\",\"color11\":\"#827834\",\"color12\":\"#42514f\",\"color13\":\"#6a5632\",\"color14\":\"#4e5d4d\",\"color15\":\"#c9c9b6\"}}",


"\
{\"special\":{\"background\":\"#231c0d\",\"foreground\":\"#aead5d\",\"cursor\":\"#a5a39d\"},\"colors\":{\"color0\":\"#231c0d\",\"color1\":\"#a47b3d\",\"color2\":\"#7b9764\",\"color3\":\"#aead5d\",\"color4\":\"#628e8f\",\"color5\":\"#ad9d52\",\"color6\":\"#709681\",\"color7\":\"#a5a39d\",\"color8\":\"#3f392a\",\"color9\":\"#a47b3d\",\"color10\":\"#7b9764\",\"color11\":\"#aead5d\",\"color12\":\"#628e8f\",\"color13\":\"#ad9d52\",\"color14\":\"#709681\",\"color15\":\"#a5a39d\"}}",


"\
{\"special\":{\"background\":\"#263139\",\"foreground\":\"#dac99d\",\"cursor\":\"#28343c\"},\"colors\":{\"color0\":\"#263139\",\"color1\":\"#f36f62\",\"color2\":\"#c5e19c\",\"color3\":\"#ccb478\",\"color4\":\"#4c7e89\",\"color5\":\"#814d61\",\"color6\":\"#79a69d\",\"color7\":\"#c4c4b5\",\"color8\":\"#455867\",\"color9\":\"#f36f62\",\"color10\":\"#c5e19c\",\"color11\":\"#ccb478\",\"color12\":\"#4c7e89\",\"color13\":\"#814d61\",\"color14\":\"#79a69d\",\"color15\":\"#dbdbd1\"}}",


"\
{\"special\":{\"background\":\"#322f30\",\"foreground\":\"#8d7766\",\"cursor\":\"#353233\"},\"colors\":{\"color0\":\"#322f30\",\"color1\":\"#654c51\",\"color2\":\"#7f8281\",\"color3\":\"#8d7766\",\"color4\":\"#5b697e\",\"color5\":\"#7b6b75\",\"color6\":\"#7d8592\",\"color7\":\"#c0bfbf\",\"color8\":\"#c0bfbf\",\"color9\":\"#654c51\",\"color10\":\"#7f8281\",\"color11\":\"#8d7766\",\"color12\":\"#5b697e\",\"color13\":\"#7b6b75\",\"color14\":\"#7d8592\",\"color15\":\"#dfdfdf\"}}",


"\
{\"special\":{\"background\":\"#282623\",\"foreground\":\"#ad8b67\",\"cursor\":\"#2b2825\"},\"colors\":{\"color0\":\"#282623\",\"color1\":\"#935334\",\"color2\":\"#66604d\",\"color3\":\"#ad8b67\",\"color4\":\"#504b44\",\"color5\":\"#634737\",\"color6\":\"#505349\",\"color7\":\"#bcbba4\",\"color8\":\"#43403b\",\"color9\":\"#935334\",\"color10\":\"#66604d\",\"color11\":\"#ad8b67\",\"color12\":\"#504b44\",\"color13\":\"#634737\",\"color14\":\"#505349\",\"color15\":\"#dbdace\"}}",


"\
{\"special\":{\"background\":\"#322835\",\"foreground\":\"#b08960\",\"cursor\":\"#332836\"},\"colors\":{\"color0\":\"#322835\",\"color1\":\"#674f4a\",\"color2\":\"#67786d\",\"color3\":\"#b08960\",\"color4\":\"#5e6d79\",\"color5\":\"#7d6969\",\"color6\":\"#6a7a76\",\"color7\":\"#ccbfb3\",\"color8\":\"#4b3f4e\",\"color9\":\"#674f4a\",\"color10\":\"#67786d\",\"color11\":\"#b08960\",\"color12\":\"#5e6d79\",\"color13\":\"#7d6969\",\"color14\":\"#6a7a76\",\"color15\":\"#ccbfb3\"}}",


"\
{\"special\":{\"background\":\"#252326\",\"foreground\":\"#7a8648\",\"cursor\":\"#c4bbb0\"},\"colors\":{\"color0\":\"#252326\",\"color1\":\"#93503e\",\"color2\":\"#9d8554\",\"color3\":\"#7a8648\",\"color4\":\"#5f656a\",\"color5\":\"#7b6064\",\"color6\":\"#566e6b\",\"color7\":\"#c4bbb0\",\"color8\":\"#413f43\",\"color9\":\"#93503e\",\"color10\":\"#9d8554\",\"color11\":\"#7a8648\",\"color12\":\"#5f656a\",\"color13\":\"#7b6064\",\"color14\":\"#566e6b\",\"color15\":\"#c4bbb0\"}}",


"\
{\"special\":{\"background\":\"#282423\",\"foreground\":\"#987f4b\",\"cursor\":\"#b7afa4\"},\"colors\":{\"color0\":\"#282423\",\"color1\":\"#925633\",\"color2\":\"#757c60\",\"color3\":\"#987f4b\",\"color4\":\"#515962\",\"color5\":\"#685054\",\"color6\":\"#506168\",\"color7\":\"#b7afa4\",\"color8\":\"#3f3d3c\",\"color9\":\"#925633\",\"color10\":\"#757c60\",\"color11\":\"#987f4b\",\"color12\":\"#515962\",\"color13\":\"#685054\",\"color14\":\"#506168\",\"color15\":\"#b7afa4\"}}",


"\
{\"special\":{\"background\":\"#2c2c2c\",\"foreground\":\"#d0c57a\",\"cursor\":\"#ededb7\"},\"colors\":{\"color0\":\"#2c2c2c\",\"color1\":\"#c77369\",\"color2\":\"#93988a\",\"color3\":\"#d0c57a\",\"color4\":\"#747f89\",\"color5\":\"#825969\",\"color6\":\"#938e8f\",\"color7\":\"#ddddb5\",\"color8\":\"#4e4e4e\",\"color9\":\"#c77369\",\"color10\":\"#93988a\",\"color11\":\"#d0c57a\",\"color12\":\"#747f89\",\"color13\":\"#825969\",\"color14\":\"#938e8f\",\"color15\":\"#ededb7\"}}",


"\
{\"special\":{\"background\":\"#28282C\",\"foreground\":\"#A18673\",\"cursor\":\"#F3F3F3\"},\"colors\":{\"color0\":\"#28282C\",\"color1\":\"#BF5C56\",\"color2\":\"#BF5C56\",\"color3\":\"#97B19C\",\"color4\":\"#97B19C\",\"color5\":\"#D7BD8A\",\"color6\":\"#D7BD8A\",\"color7\":\"#545F72\",\"color8\":\"#404047\",\"color9\":\"#BF5C56\",\"color10\":\"#BF5C56\",\"color11\":\"#97B19C\",\"color12\":\"#97B19C\",\"color13\":\"#D7BD8A\",\"color14\":\"#D7BD8A\",\"color15\":\"#F4F4F2\"}}",


"\
{\"special\":{\"background\":\"#252a32\",\"foreground\":\"#b39580\",\"cursor\":\"#272c34\"},\"colors\":{\"color0\":\"#252a32\",\"color1\":\"#876058\",\"color2\":\"#6f7f71\",\"color3\":\"#b39580\",\"color4\":\"#546780\",\"color5\":\"#84787d\",\"color6\":\"#556f86\",\"color7\":\"#bab7b5\",\"color8\":\"#bab7b5\",\"color9\":\"#876058\",\"color10\":\"#6f7f71\",\"color11\":\"#b39580\",\"color12\":\"#546780\",\"color13\":\"#84787d\",\"color14\":\"#556f86\",\"color15\":\"#dfdedd\"}}",


"\
{\"special\":{\"background\":\"#242a2b\",\"foreground\":\"#8d8150\",\"cursor\":\"#242b2c\"},\"colors\":{\"color0\":\"#242a2b\",\"color1\":\"#674839\",\"color2\":\"#6e794f\",\"color3\":\"#8d8150\",\"color4\":\"#3b474e\",\"color5\":\"#554c41\",\"color6\":\"#495355\",\"color7\":\"#939381\",\"color8\":\"#939381\",\"color9\":\"#674839\",\"color10\":\"#6e794f\",\"color11\":\"#8d8150\",\"color12\":\"#3b474e\",\"color13\":\"#554c41\",\"color14\":\"#495355\",\"color15\":\"#abab9c\"}}",


"\
{\"special\":{\"background\":\"#29231f\",\"foreground\":\"#aa8f5f\",\"cursor\":\"#bcb7aa\"},\"colors\":{\"color0\":\"#29231f\",\"color1\":\"#675141\",\"color2\":\"#625438\",\"color3\":\"#aa8f5f\",\"color4\":\"#6e6051\",\"color5\":\"#514540\",\"color6\":\"#5e4e3c\",\"color7\":\"#bcb7aa\",\"color8\":\"#514b49\",\"color9\":\"#675141\",\"color10\":\"#625438\",\"color11\":\"#aa8f5f\",\"color12\":\"#6e6051\",\"color13\":\"#514540\",\"color14\":\"#5e4e3c\",\"color15\":\"#dedbd5\"}}",


"\
{\"special\":{\"background\":\"#262f33\",\"foreground\":\"#948d65\",\"cursor\":\"#b5b699\"},\"colors\":{\"color0\":\"#262f33\",\"color1\":\"#804f4e\",\"color2\":\"#68786c\",\"color3\":\"#948d65\",\"color4\":\"#47575f\",\"color5\":\"#74636a\",\"color6\":\"#526562\",\"color7\":\"#b5b699\",\"color8\":\"#464c50\",\"color9\":\"#804f4e\",\"color10\":\"#68786c\",\"color11\":\"#948d65\",\"color12\":\"#47575f\",\"color13\":\"#74636a\",\"color14\":\"#526562\",\"color15\":\"#cbcbb7\"}}",


"\
{\"special\":{\"background\":\"#2d3144\",\"foreground\":\"#96915d\",\"cursor\":\"#cfccbe\"},\"colors\":{\"color0\":\"#2d3144\",\"color1\":\"#8d6d5c\",\"color2\":\"#6d806d\",\"color3\":\"#96915d\",\"color4\":\"#68758d\",\"color5\":\"#8a747b\",\"color6\":\"#8d97a8\",\"color7\":\"#cfccbe\",\"color8\":\"#525a69\",\"color9\":\"#8d6d5c\",\"color10\":\"#6d806d\",\"color11\":\"#96915d\",\"color12\":\"#68758d\",\"color13\":\"#8a747b\",\"color14\":\"#8d97a8\",\"color15\":\"#f0efeb\"}}",


"\
{\"special\":{\"background\":\"#27201f\",\"foreground\":\"#978341\",\"cursor\":\"#bebcbc\"},\"colors\":{\"color0\":\"#27201f\",\"color1\":\"#9b5208\",\"color2\":\"#75922c\",\"color3\":\"#978341\",\"color4\":\"#5e6676\",\"color5\":\"#824219\",\"color6\":\"#4e7479\",\"color7\":\"#bebcbc\",\"color8\":\"#3b3436\",\"color9\":\"#9b5208\",\"color10\":\"#75922c\",\"color11\":\"#978341\",\"color12\":\"#5e6676\",\"color13\":\"#824219\",\"color14\":\"#4e7479\",\"color15\":\"#bebcbc\"}}",


"\
{\"special\":{\"background\":\"#2c373d\",\"foreground\":\"#baad8a\",\"cursor\":\"#c4c0bb\"},\"colors\":{\"color0\":\"#2c373d\",\"color1\":\"#a67979\",\"color2\":\"#809f7b\",\"color3\":\"#baad8a\",\"color4\":\"#6d7575\",\"color5\":\"#8e7d79\",\"color6\":\"#7b9899\",\"color7\":\"#c4c0bb\",\"color8\":\"#4d5459\",\"color9\":\"#a67979\",\"color10\":\"#809f7b\",\"color11\":\"#baad8a\",\"color12\":\"#6d7575\",\"color13\":\"#8e7d79\",\"color14\":\"#7b9899\",\"color15\":\"#c4c0bb\"}}",


"\
{\"special\":{\"background\":\"#2c2c35\",\"foreground\":\"#6b925a\",\"cursor\":\"#2d2d36\"},\"colors\":{\"color0\":\"#2c2c35\",\"color1\":\"#b56550\",\"color2\":\"#b79b58\",\"color3\":\"#6b925a\",\"color4\":\"#6e747b\",\"color5\":\"#96787d\",\"color6\":\"#7b8889\",\"color7\":\"#b4ada4\",\"color8\":\"#45454d\",\"color9\":\"#b56550\",\"color10\":\"#b79b58\",\"color11\":\"#6b925a\",\"color12\":\"#6e747b\",\"color13\":\"#96787d\",\"color14\":\"#7b8889\",\"color15\":\"#b4ada4\"}}",


"\
{\"special\":{\"background\":\"#2b2320\",\"foreground\":\"#aa9375\",\"cursor\":\"#2e2522\"},\"colors\":{\"color0\":\"#2b2320\",\"color1\":\"#734948\",\"color2\":\"#768157\",\"color3\":\"#aa9375\",\"color4\":\"#585b63\",\"color5\":\"#6f5a56\",\"color6\":\"#7d8486\",\"color7\":\"#bab1a1\",\"color8\":\"#bab1a1\",\"color9\":\"#734948\",\"color10\":\"#768157\",\"color11\":\"#aa9375\",\"color12\":\"#585b63\",\"color13\":\"#6f5a56\",\"color14\":\"#7d8486\",\"color15\":\"#bab1a1\"}}",


"\
{\"special\":{\"background\":\"#25231b\",\"foreground\":\"#988871\",\"cursor\":\"#26241c\"},\"colors\":{\"color0\":\"#25231b\",\"color1\":\"#8e2f34\",\"color2\":\"#55654a\",\"color3\":\"#988871\",\"color4\":\"#848f89\",\"color5\":\"#9f8c7c\",\"color6\":\"#9cb4a6\",\"color7\":\"#c4c1b0\",\"color8\":\"#423f31\",\"color9\":\"#8e2f34\",\"color10\":\"#55654a\",\"color11\":\"#988871\",\"color12\":\"#848f89\",\"color13\":\"#9f8c7c\",\"color14\":\"#9cb4a6\",\"color15\":\"#d8d4c5\"}}",


"\
{\"special\":{\"background\":\"#272c30\",\"foreground\":\"#c79e84\",\"cursor\":\"#cfb9a8\"},\"colors\":{\"color0\":\"#272c30\",\"color1\":\"#934e46\",\"color2\":\"#637268\",\"color3\":\"#c79e84\",\"color4\":\"#515e67\",\"color5\":\"#715f5e\",\"color6\":\"#5c6f7d\",\"color7\":\"#cfb9a8\",\"color8\":\"#414a51\",\"color9\":\"#934e46\",\"color10\":\"#637268\",\"color11\":\"#c79e84\",\"color12\":\"#515e67\",\"color13\":\"#715f5e\",\"color14\":\"#5c6f7d\",\"color15\":\"#ddcec2\"}}",


"\
{\"special\":{\"background\":\"#2a2725\",\"foreground\":\"#bdac8c\",\"cursor\":\"#2b2927\"},\"colors\":{\"color0\":\"#2a2725\",\"color1\":\"#8e6f64\",\"color2\":\"#849385\",\"color3\":\"#bdac8c\",\"color4\":\"#4c5467\",\"color5\":\"#757580\",\"color6\":\"#64697f\",\"color7\":\"#b8b2a7\",\"color8\":\"#474543\",\"color9\":\"#8e6f64\",\"color10\":\"#849385\",\"color11\":\"#bdac8c\",\"color12\":\"#4c5467\",\"color13\":\"#757580\",\"color14\":\"#64697f\",\"color15\":\"#b8b2a7\"}}",


"\
{\"special\":{\"background\":\"#312e39\",\"foreground\":\"#ae835a\",\"cursor\":\"#33303b\"},\"colors\":{\"color0\":\"#312e39\",\"color1\":\"#87404f\",\"color2\":\"#74934e\",\"color3\":\"#ae835a\",\"color4\":\"#615772\",\"color5\":\"#783e57\",\"color6\":\"#554757\",\"color7\":\"#c0a79a\",\"color8\":\"#4f4b58\",\"color9\":\"#87404f\",\"color10\":\"#74934e\",\"color11\":\"#ae835a\",\"color12\":\"#615772\",\"color13\":\"#783e57\",\"color14\":\"#554757\",\"color15\":\"#c0a79a\"}}",


"\
{\"special\":{\"background\":\"#2b2c33\",\"foreground\":\"#e8dfcd\",\"cursor\":\"#303139\"},\"colors\":{\"color0\":\"#2b2c33\",\"color1\":\"#b16c7f\",\"color2\":\"#92ab75\",\"color3\":\"#bdab77\",\"color4\":\"#485476\",\"color5\":\"#746081\",\"color6\":\"#636f7d\",\"color7\":\"#d9c1a9\",\"color8\":\"#d9c1a9\",\"color9\":\"#b16c7f\",\"color10\":\"#92ab75\",\"color11\":\"#bdab77\",\"color12\":\"#485476\",\"color13\":\"#746081\",\"color14\":\"#636f7d\",\"color15\":\"#e9dbce\"}}",


"\
{\"special\":{\"background\":\"#2d2d33\",\"foreground\":\"#a29474\",\"cursor\":\"#303036\"},\"colors\":{\"color0\":\"#2d2d33\",\"color1\":\"#9c6647\",\"color2\":\"#708684\",\"color3\":\"#a29474\",\"color4\":\"#697284\",\"color5\":\"#796a70\",\"color6\":\"#47676e\",\"color7\":\"#c4c4b5\",\"color8\":\"#44444a\",\"color9\":\"#9c6647\",\"color10\":\"#708684\",\"color11\":\"#a29474\",\"color12\":\"#697284\",\"color13\":\"#796a70\",\"color14\":\"#47676e\",\"color15\":\"#c4c4b5\"}}",


"\
{\"special\":{\"background\":\"#2a2d34\",\"foreground\":\"#86733b\",\"cursor\":\"#2e3239\"},\"colors\":{\"color0\":\"#2a2d34\",\"color1\":\"#a2462e\",\"color2\":\"#5e713d\",\"color3\":\"#86733b\",\"color4\":\"#394c5d\",\"color5\":\"#855646\",\"color6\":\"#6e727d\",\"color7\":\"#cababa\",\"color8\":\"#414550\",\"color9\":\"#a2462e\",\"color10\":\"#5e713d\",\"color11\":\"#86733b\",\"color12\":\"#394c5d\",\"color13\":\"#855646\",\"color14\":\"#6e727d\",\"color15\":\"#cababa\"}}",


"\
{\"special\":{\"background\":\"#37273a\",\"foreground\":\"#b3a67d\",\"cursor\":\"#c3bec3\"},\"colors\":{\"color0\":\"#37273a\",\"color1\":\"#9c595c\",\"color2\":\"#8ba07a\",\"color3\":\"#b3a67d\",\"color4\":\"#7B6677\",\"color5\":\"#83466D\",\"color6\":\"#899079\",\"color7\":\"#c3bec3\",\"color8\":\"#5e5261\",\"color9\":\"#9c595c\",\"color10\":\"#8ba07a\",\"color11\":\"#b3a67d\",\"color12\":\"#7B6677\",\"color13\":\"#83466D\",\"color14\":\"#899079\",\"color15\":\"#c3bec3\"}}",


"\
{\"special\":{\"background\":\"#f4f4f4\",\"foreground\":\"#3e3e3e\",\"cursor\":\"#970b16\"},\"colors\":{\"color0\":\"#ffffff\",\"color1\":\"#970b16\",\"color2\":\"#07962a\",\"color3\":\"#f8eec7\",\"color4\":\"#003e8a\",\"color5\":\"#e94691\",\"color6\":\"#89d1ec\",\"color7\":\"#3e3e3e\",\"color8\":\"#666666\",\"color9\":\"#970b16\",\"color10\":\"#07962a\",\"color11\":\"#f8eec7\",\"color12\":\"#003e8a\",\"color13\":\"#e94691\",\"color14\":\"#89d1ec\",\"color15\":\"#3e3e3e\"}}",


"\
{\"special\":{\"background\":\"#282828\",\"foreground\":\"#ebdbb2\",\"cursor\":\"#fbf1c7\"},\"colors\":{\"color0\":\"#282828\",\"color1\":\"#cc241d\",\"color2\":\"#98971a\",\"color3\":\"#d79921\",\"color4\":\"#458588\",\"color5\":\"#b16286\",\"color6\":\"#689d6a\",\"color7\":\"#a89984\",\"color8\":\"#928374\",\"color9\":\"#fb4934\",\"color10\":\"#b8bb26\",\"color11\":\"#fabd2f\",\"color12\":\"#83a598\",\"color13\":\"#d3869b\",\"color14\":\"#8ec07c\",\"color15\":\"#ebdbb2\"}}
",


"\
{\"special\":{\"background\":\"#263238\",\"foreground\":\"#ffffff\",\"cursor\":\"#cc6666\"},\"colors\":{\"color0\":\"#263238\",\"color1\":\"#cc6666\",\"color2\":\"#f0c674\",\"color3\":\"#b5bd68\",\"color4\":\"#8abeb7\",\"color5\":\"#81a2be\",\"color6\":\"#b294bb\",\"color7\":\"#ffffff\",\"color8\":\"#707880\",\"color9\":\"#cc6666\",\"color10\":\"#f0c674\",\"color11\":\"#b5bd68\",\"color12\":\"#8abeb7\",\"color13\":\"#81a2be\",\"color14\":\"#b294bb\",\"color15\":\"#ffffff\"}}",


"\
{\"special\":{\"background\":\"#272822\",\"foreground\":\"#f8f8f2\",\"cursor\":\"#f92672\"},\"colors\":{\"color0\":\"#272822\",\"color1\":\"#f92672\",\"color2\":\"#a6e22e\",\"color3\":\"#f4bf75\",\"color4\":\"#66d9ef\",\"color5\":\"#ae81ff\",\"color6\":\"#a1efe4\",\"color7\":\"#f8f8f2\",\"color8\":\"#75715e\",\"color9\":\"#f92672\",\"color10\":\"#a6e22e\",\"color11\":\"#f4bf75\",\"color12\":\"#66d9ef\",\"color13\":\"#ae81ff\",\"color14\":\"#a1efe4\",\"color15\":\"#f9f8f5\"}}",


"\
{\"colors\":{\"color0\":\"#1c1c1c\",\"color1\":\"#d770af\",\"color2\":\"#9acc79\",\"color3\":\"#d0d26b\",\"color4\":\"#77b6c5\",\"color5\":\"#a488d9\",\"color6\":\"#7fcab3\",\"color7\":\"#8d8d8d\",\"color8\":\"#3d3a3a\",\"color9\":\"#d770af\",\"color10\":\"#9acc79\",\"color11\":\"#d0d26b\",\"color12\":\"#77b6c5\",\"color13\":\"#a488d9\",\"color14\":\"#7fcab3\",\"color15\":\"#8d8d8d\",\"color16\":\"#3d3a3a\",\"color17\":\"#d28abf\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#d28abf\"}}",


"\
{\"colors\":{\"color0\":\"#252525\",\"color1\":\"#ef6769\",\"color2\":\"#a6e22e\",\"color3\":\"#fd971f\",\"color4\":\"#6495ed\",\"color5\":\"#deb887\",\"color6\":\"#b0c4de\",\"color7\":\"#dbdcdc\",\"color8\":\"#454545\",\"color9\":\"#ef6769\",\"color10\":\"#a6e22e\",\"color11\":\"#fd971f\",\"color12\":\"#6495ed\",\"color13\":\"#deb887\",\"color14\":\"#b0c4de\",\"color15\":\"#dbdcdc\",\"color16\":\"#454545\",\"color17\":\"#fc7ca5\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#fc7ca5\"}}",


"\
{\"colors\":{\"color0\":\"#282828\",\"color1\":\"#b76969\",\"color2\":\"#719d72\",\"color3\":\"#909858\",\"color4\":\"#68668f\",\"color5\":\"#966894\",\"color6\":\"#688891\",\"color7\":\"#8e8e8e\",\"color8\":\"#494949\",\"color9\":\"#b76969\",\"color10\":\"#719d72\",\"color11\":\"#909858\",\"color12\":\"#68668f\",\"color13\":\"#966894\",\"color14\":\"#688891\",\"color15\":\"#8e8e8e\",\"color16\":\"#494949\",\"color17\":\"#b87e7e\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#b87e7e\"}}",


"\
{\"colors\":{\"color0\":\"#222827\",\"color1\":\"#d5a8e3\",\"color2\":\"#9c75dd\",\"color3\":\"#9898ae\",\"color4\":\"#654a96\",\"color5\":\"#625566\",\"color6\":\"#a9d1df\",\"color7\":\"#e6ebe5\",\"color8\":\"#5d6f74\",\"color9\":\"#d5a8e3\",\"color10\":\"#9c75dd\",\"color11\":\"#9898ae\",\"color12\":\"#654a96\",\"color13\":\"#625566\",\"color14\":\"#a9d1df\",\"color15\":\"#e6ebe5\",\"color16\":\"#5d6f74\",\"color17\":\"#cd749c\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#cd749c\"}}",


"\
{\"colors\":{\"color0\":\"#151515\",\"color1\":\"#ff8eaf\",\"color2\":\"#a6e25f\",\"color3\":\"#f8e578\",\"color4\":\"#a6e2f0\",\"color5\":\"#e85b92\",\"color6\":\"#5f868f\",\"color7\":\"#d5f1f2\",\"color8\":\"#696969\",\"color9\":\"#ff8eaf\",\"color10\":\"#a6e25f\",\"color11\":\"#f8e578\",\"color12\":\"#a6e2f0\",\"color13\":\"#e85b92\",\"color14\":\"#5f868f\",\"color15\":\"#d5f1f2\",\"color16\":\"#696969\",\"color17\":\"#ed4c7a\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ed4c7a\"}}",


"\
{\"colors\":{\"color0\":\"#353535\",\"color1\":\"#744B40\",\"color2\":\"#6D6137\",\"color3\":\"#765636\",\"color4\":\"#61564B\",\"color5\":\"#6B4A49\",\"color6\":\"#435861\",\"color7\":\"#B3B3B3\",\"color8\":\"#5F5F5F\",\"color9\":\"#744B40\",\"color10\":\"#6D6137\",\"color11\":\"#765636\",\"color12\":\"#61564B\",\"color13\":\"#6B4A49\",\"color14\":\"#435861\",\"color15\":\"#B3B3B3\",\"color16\":\"#5F5F5F\",\"color17\":\"#785850\"},\"special\":{\"foreground\":\"#9B9081\",\"background\":\"#181B20\",\"cursor\":\"#785850\"}}",


"\
{\"colors\":{\"color0\":\"#3d3e3d\",\"color1\":\"#755a5b\",\"color2\":\"#68755a\",\"color3\":\"#756e5a\",\"color4\":\"#5b6976\",\"color5\":\"#755b76\",\"color6\":\"#465457\",\"color7\":\"#ccccc6\",\"color8\":\"#5a5b5c\",\"color9\":\"#755a5b\",\"color10\":\"#68755a\",\"color11\":\"#756e5a\",\"color12\":\"#5b6976\",\"color13\":\"#755b76\",\"color14\":\"#465457\",\"color15\":\"#ccccc6\",\"color16\":\"#5a5b5c\",\"color17\":\"#a37679\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#a37679\"}}",


"\
{\"colors\":{\"color0\":\"#111111\",\"color1\":\"#d36265\",\"color2\":\"#aece91\",\"color3\":\"#e7e18c\",\"color4\":\"#5297cf\",\"color5\":\"#963c59\",\"color6\":\"#5e7175\",\"color7\":\"#bebebe\",\"color8\":\"#666666\",\"color9\":\"#d36265\",\"color10\":\"#aece91\",\"color11\":\"#e7e18c\",\"color12\":\"#5297cf\",\"color13\":\"#963c59\",\"color14\":\"#5e7175\",\"color15\":\"#bebebe\",\"color16\":\"#666666\",\"color17\":\"#ef8171\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ef8171\"}}",


"\
{\"colors\":{\"color0\":\"#303030\",\"color1\":\"#c03000\",\"color2\":\"#b1d631\",\"color3\":\"#fecf35\",\"color4\":\"#426870\",\"color5\":\"#6d506d\",\"color6\":\"#4bb5c1\",\"color7\":\"#e2e2e5\",\"color8\":\"#5f5f5f\",\"color9\":\"#c03000\",\"color10\":\"#b1d631\",\"color11\":\"#fecf35\",\"color12\":\"#426870\",\"color13\":\"#6d506d\",\"color14\":\"#4bb5c1\",\"color15\":\"#e2e2e5\",\"color16\":\"#5f5f5f\",\"color17\":\"#ff3a78\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ff3a78\"}}",


"\
{\"colors\":{\"color0\":\"#000000\",\"color1\":\"#571dc2\",\"color2\":\"#14db49\",\"color3\":\"#403d70\",\"color4\":\"#385a70\",\"color5\":\"#384894\",\"color6\":\"#4f3a5e\",\"color7\":\"#999999\",\"color8\":\"#38372c\",\"color9\":\"#571dc2\",\"color10\":\"#14db49\",\"color11\":\"#403d70\",\"color12\":\"#385a70\",\"color13\":\"#384894\",\"color14\":\"#4f3a5e\",\"color15\":\"#999999\",\"color16\":\"#38372c\",\"color17\":\"#7c54b0\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#7c54b0\"}}",


"\
{\"colors\":{\"color0\":\"#101010\",\"color1\":\"#e84f4f\",\"color2\":\"#b8d68c\",\"color3\":\"#e1aa5d\",\"color4\":\"#7dc1cf\",\"color5\":\"#9b64fb\",\"color6\":\"#6d878d\",\"color7\":\"#dddddd\",\"color8\":\"#404040\",\"color9\":\"#e84f4f\",\"color10\":\"#b8d68c\",\"color11\":\"#e1aa5d\",\"color12\":\"#7dc1cf\",\"color13\":\"#9b64fb\",\"color14\":\"#6d878d\",\"color15\":\"#dddddd\",\"color16\":\"#404040\",\"color17\":\"#d23d3d\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#d23d3d\"}}",


"\
{\"colors\":{\"color0\":\"#151515\",\"color1\":\"#bf7979\",\"color2\":\"#97b26b\",\"color3\":\"#cdcda1\",\"color4\":\"#4a5463\",\"color5\":\"#9c3885\",\"color6\":\"#88aadd\",\"color7\":\"#ffffff\",\"color8\":\"#505450\",\"color9\":\"#bf7979\",\"color10\":\"#97b26b\",\"color11\":\"#cdcda1\",\"color12\":\"#4a5463\",\"color13\":\"#9c3885\",\"color14\":\"#88aadd\",\"color15\":\"#ffffff\",\"color16\":\"#505450\",\"color17\":\"#f4a45f\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#f4a45f\"}}",


"\
{\"colors\":{\"color0\":\"#222222\",\"color1\":\"#e84f4f\",\"color2\":\"#b7ce42\",\"color3\":\"#fea63c\",\"color4\":\"#66a9b9\",\"color5\":\"#b7416e\",\"color6\":\"#6d878d\",\"color7\":\"#cccccc\",\"color8\":\"#666666\",\"color9\":\"#e84f4f\",\"color10\":\"#b7ce42\",\"color11\":\"#fea63c\",\"color12\":\"#66a9b9\",\"color13\":\"#b7416e\",\"color14\":\"#6d878d\",\"color15\":\"#cccccc\",\"color16\":\"#666666\",\"color17\":\"#d23d3d\"},\"special\":{\"foreground\":\"#cccccc\",\"background\":\"#111111\",\"cursor\":\"#d23d3d\"}}",


"\
{\"colors\":{\"color0\":\"#192033\",\"color1\":\"#a62a3e\",\"color2\":\"#38912b\",\"color3\":\"#b27d12\",\"color4\":\"#355c9a\",\"color5\":\"#7c4f9f\",\"color6\":\"#258f8f\",\"color7\":\"#77858c\",\"color8\":\"#666666\",\"color9\":\"#a62a3e\",\"color10\":\"#38912b\",\"color11\":\"#b27d12\",\"color12\":\"#355c9a\",\"color13\":\"#7c4f9f\",\"color14\":\"#258f8f\",\"color15\":\"#77858c\",\"color16\":\"#666666\",\"color17\":\"#f04758\"},\"special\":{\"foreground\":\"#1c2027\",\"background\":\"#cfcfd9\",\"cursor\":\"#f04758\"}}",


"\
{\"colors\":{\"color0\":\"#1c1c1c\",\"color1\":\"#ff005b\",\"color2\":\"#cee318\",\"color3\":\"#ffe755\",\"color4\":\"#048ac7\",\"color5\":\"#833c9f\",\"color6\":\"#0ac1cd\",\"color7\":\"#e5e5e5\",\"color8\":\"#666666\",\"color9\":\"#ff005b\",\"color10\":\"#cee318\",\"color11\":\"#ffe755\",\"color12\":\"#048ac7\",\"color13\":\"#833c9f\",\"color14\":\"#0ac1cd\",\"color15\":\"#e5e5e5\",\"color16\":\"#666666\",\"color17\":\"#ff00a0\"},\"special\":{\"foreground\":\"#c5c5c5\",\"background\":\"#1c1c1c\",\"cursor\":\"#ff00a0\"}}",


"\
{\"colors\":{\"color0\":\"#000000\",\"color1\":\"#cc0000\",\"color2\":\"#4e9a06\",\"color3\":\"#c4a000\",\"color4\":\"#3465a4\",\"color5\":\"#75507b\",\"color6\":\"#06989a\",\"color7\":\"#d3d7cf\",\"color8\":\"#555753\",\"color9\":\"#cc0000\",\"color10\":\"#4e9a06\",\"color11\":\"#c4a000\",\"color12\":\"#3465a4\",\"color13\":\"#75507b\",\"color14\":\"#06989a\",\"color15\":\"#d3d7cf\",\"color16\":\"#555753\",\"color17\":\"#ef2929\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ef2929\"}}",


"\
{\"colors\":{\"color0\":\"#0a0f14\",\"color1\":\"#c33027\",\"color2\":\"#26a98b\",\"color3\":\"#edb54b\",\"color4\":\"#195465\",\"color5\":\"#4e5165\",\"color6\":\"#33859d\",\"color7\":\"#98d1ce\",\"color8\":\"#364b61\",\"color9\":\"#c33027\",\"color10\":\"#26a98b\",\"color11\":\"#edb54b\",\"color12\":\"#195465\",\"color13\":\"#4e5165\",\"color14\":\"#33859d\",\"color15\":\"#98d1ce\",\"color16\":\"#10151b\",\"color17\":\"#d26939\"},\"special\":{\"foreground\":\"#98d1ce\",\"background\":\"#0a0f14\",\"cursor\":\"#d26939\"}}",


"\
{\"colors\":{\"color0\":\"#392925\",\"color1\":\"#98724c\",\"color2\":\"#908f32\",\"color3\":\"#aa964c\",\"color4\":\"#7b854e\",\"color5\":\"#6b5644\",\"color6\":\"#5c5142\",\"color7\":\"#c8b55b\",\"color8\":\"#544b2e\",\"color9\":\"#98724c\",\"color10\":\"#908f32\",\"color11\":\"#aa964c\",\"color12\":\"#7b854e\",\"color13\":\"#6b5644\",\"color14\":\"#5c5142\",\"color15\":\"#c8b55b\",\"color16\":\"#544b2e\",\"color17\":\"#af652f\"},\"special\":{\"foreground\":\"#746c48\",\"background\":\"#170f0d\",\"cursor\":\"#af652f\"}}",


"\
{\"colors\":{\"color0\":\"#222222\",\"color1\":\"#E84F4F\",\"color2\":\"#B7CE42\",\"color3\":\"#FEA63C\",\"color4\":\"#66AABB\",\"color5\":\"#B7416E\",\"color6\":\"#6D878D\",\"color7\":\"#DDDDDD\",\"color8\":\"#666666\",\"color9\":\"#E84F4F\",\"color10\":\"#B7CE42\",\"color11\":\"#FEA63C\",\"color12\":\"#66AABB\",\"color13\":\"#B7416E\",\"color14\":\"#6D878D\",\"color15\":\"#DDDDDD\",\"color16\":\"#666666\",\"color17\":\"#D23D3D\"},\"special\":{\"foreground\":\"#FFFFFF\",\"background\":\"#161616\",\"cursor\":\"#D23D3D\"}}",


"\
{\"colors\":{\"color0\":\"#393939\",\"color1\":\"#da4939\",\"color2\":\"#9acc79\",\"color3\":\"#d0d26b\",\"color4\":\"#6d9cbe\",\"color5\":\"#9f5079\",\"color6\":\"#435d75\",\"color7\":\"#c2c2c2\",\"color8\":\"#474747\",\"color9\":\"#da4939\",\"color10\":\"#9acc79\",\"color11\":\"#d0d26b\",\"color12\":\"#6d9cbe\",\"color13\":\"#9f5079\",\"color14\":\"#435d75\",\"color15\":\"#c2c2c2\",\"color16\":\"#474747\",\"color17\":\"#ff6c5c\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ff6c5c\"}}",


"\
{\"colors\":{\"color0\":\"#3d3e3d\",\"color1\":\"#755a5b\",\"color2\":\"#68755a\",\"color3\":\"#756e5a\",\"color4\":\"#5b6976\",\"color5\":\"#755b76\",\"color6\":\"#5b7674\",\"color7\":\"#808080\",\"color8\":\"#5a5b5c\",\"color9\":\"#755a5b\",\"color10\":\"#68755a\",\"color11\":\"#756e5a\",\"color12\":\"#5b6976\",\"color13\":\"#755b76\",\"color14\":\"#5b7674\",\"color15\":\"#808080\",\"color16\":\"#5a5b5c\",\"color17\":\"#a37679\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#a37679\"}}",


"\
{\"colors\":{\"color0\":\"#303030\",\"color1\":\"#D370A3\",\"color2\":\"#6D9E3F\",\"color3\":\"#B58858\",\"color4\":\"#6095C5\",\"color5\":\"#AC7BDE\",\"color6\":\"#3BA275\",\"color7\":\"#CFCFCF\",\"color8\":\"#686868\",\"color9\":\"#D370A3\",\"color10\":\"#6D9E3F\",\"color11\":\"#B58858\",\"color12\":\"#6095C5\",\"color13\":\"#AC7BDE\",\"color14\":\"#3BA275\",\"color15\":\"#CFCFCF\",\"color16\":\"#686868\",\"color17\":\"#FFA7DA\"},\"special\":{\"foreground\":\"#A0A0A0\",\"background\":\"#232323\",\"cursor\":\"#FFA7DA\"}}",


"\
{\"colors\":{\"color0\":\"#222222\",\"color1\":\"#9e5641\",\"color2\":\"#6c7e55\",\"color3\":\"#caaf2b\",\"color4\":\"#4c8ea1\",\"color5\":\"#956d9d\",\"color6\":\"#7c9aa6\",\"color7\":\"#909090\",\"color8\":\"#454545\",\"color9\":\"#9e5641\",\"color10\":\"#6c7e55\",\"color11\":\"#caaf2b\",\"color12\":\"#4c8ea1\",\"color13\":\"#956d9d\",\"color14\":\"#7c9aa6\",\"color15\":\"#909090\",\"color16\":\"#454545\",\"color17\":\"#cc896d\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#cc896d\"}}",


"\
{\"colors\":{\"color0\":\"#3D3D3D\",\"color1\":\"#6673BF\",\"color2\":\"#3EA290\",\"color3\":\"#B0EAD9\",\"color4\":\"#31658C\",\"color5\":\"#596196\",\"color6\":\"#8292B2\",\"color7\":\"#C8CACC\",\"color8\":\"#4D4D4D\",\"color9\":\"#6673BF\",\"color10\":\"#3EA290\",\"color11\":\"#B0EAD9\",\"color12\":\"#31658C\",\"color13\":\"#596196\",\"color14\":\"#8292B2\",\"color15\":\"#C8CACC\",\"color16\":\"#4D4D4D\",\"color17\":\"#899AFF\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#1b1b1b\",\"cursor\":\"#899AFF\"}}",


"\
{\"colors\":{\"color0\":\"#263238\",\"color1\":\"#ff9800\",\"color2\":\"#8bc34a\",\"color3\":\"#ffc107\",\"color4\":\"#03a9f4\",\"color5\":\"#e91e63\",\"color6\":\"#009688\",\"color7\":\"#cfd8dc\",\"color8\":\"#37474f\",\"color9\":\"#ff9800\",\"color10\":\"#8bc34a\",\"color11\":\"#ffc107\",\"color12\":\"#03a9f4\",\"color13\":\"#e91e63\",\"color14\":\"#009688\",\"color15\":\"#cfd8dc\",\"color16\":\"#37474f\",\"color17\":\"#ffa74d\"},\"special\":{\"foreground\":\"#eceff1\",\"background\":\"#263238\",\"cursor\":\"#ffa74d\"}}",


"\
{\"colors\":{\"color0\":\"#322a2c\",\"color1\":\"#a04363\",\"color2\":\"#9b9329\",\"color3\":\"#bf7a29\",\"color4\":\"#6a8c8c\",\"color5\":\"#856774\",\"color6\":\"#757978\",\"color7\":\"#bcbcaf\",\"color8\":\"#46423b\",\"color9\":\"#a04363\",\"color10\":\"#9b9329\",\"color11\":\"#bf7a29\",\"color12\":\"#6a8c8c\",\"color13\":\"#856774\",\"color14\":\"#757978\",\"color15\":\"#bcbcaf\",\"color16\":\"#46423b\",\"color17\":\"#ae837a\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ae837a\"}}",


"\
{\"colors\":{\"color0\":\"#2a1d17\",\"color1\":\"#da1657\",\"color2\":\"#3ea250\",\"color3\":\"#e3d33d\",\"color4\":\"#3ea290\",\"color5\":\"#ff850d\",\"color6\":\"#8c16da\",\"color7\":\"#e9e9e9\",\"color8\":\"#4f362b\",\"color9\":\"#da1657\",\"color10\":\"#3ea250\",\"color11\":\"#e3d33d\",\"color12\":\"#3ea290\",\"color13\":\"#ff850d\",\"color14\":\"#8c16da\",\"color15\":\"#e9e9e9\",\"color16\":\"#4f362b\",\"color17\":\"#da4375\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#da4375\"}}",


"\
{\"colors\":{\"color0\":\"#48483e\",\"color1\":\"#dc2566\",\"color2\":\"#8fc029\",\"color3\":\"#d4c96e\",\"color4\":\"#55bcce\",\"color5\":\"#9358fe\",\"color6\":\"#56b7a5\",\"color7\":\"#acada1\",\"color8\":\"#76715e\",\"color9\":\"#dc2566\",\"color10\":\"#8fc029\",\"color11\":\"#d4c96e\",\"color12\":\"#55bcce\",\"color13\":\"#9358fe\",\"color14\":\"#56b7a5\",\"color15\":\"#acada1\",\"color16\":\"#76715e\",\"color17\":\"#fa2772\"},\"special\":{\"foreground\":\"#f1ebeb\",\"background\":\"#272822\",\"cursor\":\"#fa2772\"}}",


"\
{\"colors\":{\"color0\":\"#D3D3D3\",\"color1\":\"#EF6B7B\",\"color2\":\"#A1D569\",\"color3\":\"#F59335\",\"color4\":\"#4EC2E8\",\"color5\":\"#FEC7CD\",\"color6\":\"#95C1C0\",\"color7\":\"#707070\",\"color8\":\"#B3B3B3\",\"color9\":\"#EF6B7B\",\"color10\":\"#A1D569\",\"color11\":\"#F59335\",\"color12\":\"#4EC2E8\",\"color13\":\"#FEC7CD\",\"color14\":\"#95C1C0\",\"color15\":\"#707070\",\"color16\":\"#B3B3B3\",\"color17\":\"#ED5466\"},\"special\":{\"foreground\":\"#707070\",\"background\":\"#F3F3F3\",\"cursor\":\"#ED5466\"}}",


"\
{\"colors\":{\"color0\":\"#2e3436\",\"color1\":\"#a31604\",\"color2\":\"#447241\",\"color3\":\"#c1951a\",\"color4\":\"#425387\",\"color5\":\"#965d98\",\"color6\":\"#06989a\",\"color7\":\"#d3d7cf\",\"color8\":\"#555753\",\"color9\":\"#a31604\",\"color10\":\"#447241\",\"color11\":\"#c1951a\",\"color12\":\"#425387\",\"color13\":\"#965d98\",\"color14\":\"#06989a\",\"color15\":\"#d3d7cf\",\"color16\":\"#555753\",\"color17\":\"#c60001\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#c60001\"}}",


"\
{\"colors\":{\"color0\":\"#1b1d1e\",\"color1\":\"#f92672\",\"color2\":\"#82b414\",\"color3\":\"#fd971f\",\"color4\":\"#4e82aa\",\"color5\":\"#8c54fe\",\"color6\":\"#465457\",\"color7\":\"#ccccc6\",\"color8\":\"#505354\",\"color9\":\"#f92672\",\"color10\":\"#82b414\",\"color11\":\"#fd971f\",\"color12\":\"#4e82aa\",\"color13\":\"#8c54fe\",\"color14\":\"#465457\",\"color15\":\"#ccccc6\",\"color16\":\"#505354\",\"color17\":\"#ff5995\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#010101\",\"cursor\":\"#ff5995\"}}",


"\
{\"colors\":{\"color0\":\"#032c36\",\"color1\":\"#c2454e\",\"color2\":\"#7cbf9e\",\"color3\":\"#8a7a63\",\"color4\":\"#2e3340\",\"color5\":\"#ff5879\",\"color6\":\"#44b5b1\",\"color7\":\"#f2f1b9\",\"color8\":\"#065f73\",\"color9\":\"#c2454e\",\"color10\":\"#7cbf9e\",\"color11\":\"#8a7a63\",\"color12\":\"#2e3340\",\"color13\":\"#ff5879\",\"color14\":\"#44b5b1\",\"color15\":\"#f2f1b9\",\"color16\":\"#065f73\",\"color17\":\"#ef5847\"},\"special\":{\"foreground\":\"#e8dfd6\",\"background\":\"#021b21\",\"cursor\":\"#ef5847\"}}",


"\
{\"colors\":{\"color0\":\"#171717\",\"color1\":\"#d81765\",\"color2\":\"#97d01a\",\"color3\":\"#ffa800\",\"color4\":\"#16b1fb\",\"color5\":\"#ff2491\",\"color6\":\"#0fdcb6\",\"color7\":\"#ebebeb\",\"color8\":\"#38252c\",\"color9\":\"#d81765\",\"color10\":\"#97d01a\",\"color11\":\"#ffa800\",\"color12\":\"#16b1fb\",\"color13\":\"#ff2491\",\"color14\":\"#0fdcb6\",\"color15\":\"#ebebeb\",\"color16\":\"#38252c\",\"color17\":\"#ff0000\"},\"special\":{\"foreground\":\"#f8f8f8\",\"background\":\"#171717\",\"cursor\":\"#ff0000\"}}",


"\
{\"colors\":{\"color0\":\"#555555\",\"color1\":\"#9c3528\",\"color2\":\"#61bc3b\",\"color3\":\"#f3b43a\",\"color4\":\"#0d68a8\",\"color5\":\"#744560\",\"color6\":\"#288e9c\",\"color7\":\"#a2a2a2\",\"color8\":\"#888888\",\"color9\":\"#9c3528\",\"color10\":\"#61bc3b\",\"color11\":\"#f3b43a\",\"color12\":\"#0d68a8\",\"color13\":\"#744560\",\"color14\":\"#288e9c\",\"color15\":\"#a2a2a2\",\"color16\":\"#888888\",\"color17\":\"#d64937\"},\"special\":{\"foreground\":\"#a2a2a2\",\"background\":\"#282828\",\"cursor\":\"#d64937\"}}",


"\
{\"colors\":{\"color0\":\"#251f1f\",\"color1\":\"#eb4509\",\"color2\":\"#94e76b\",\"color3\":\"#ffac18\",\"color4\":\"#46aede\",\"color5\":\"#e32c57\",\"color6\":\"#d6dbac\",\"color7\":\"#efefef\",\"color8\":\"#5e5e5e\",\"color9\":\"#eb4509\",\"color10\":\"#94e76b\",\"color11\":\"#ffac18\",\"color12\":\"#46aede\",\"color13\":\"#e32c57\",\"color14\":\"#d6dbac\",\"color15\":\"#efefef\",\"color16\":\"#5e5e5e\",\"color17\":\"#eb4509\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#eb4509\"}}",


"\
{\"colors\":{\"color0\":\"#322a2c\",\"color1\":\"#79220e\",\"color2\":\"#344b1b\",\"color3\":\"#b45b00\",\"color4\":\"#434045\",\"color5\":\"#5c1e25\",\"color6\":\"#394745\",\"color7\":\"#ae8842\",\"color8\":\"#46423b\",\"color9\":\"#79220e\",\"color10\":\"#344b1b\",\"color11\":\"#b45b00\",\"color12\":\"#434045\",\"color13\":\"#5c1e25\",\"color14\":\"#394745\",\"color15\":\"#ae8842\",\"color16\":\"#46423b\",\"color17\":\"#aa261f\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#aa261f\"}}",


"\
{\"colors\":{\"color0\":\"#000000\",\"color1\":\"#a80000\",\"color2\":\"#00a800\",\"color3\":\"#a85400\",\"color4\":\"#0000a8\",\"color5\":\"#a800a8\",\"color6\":\"#00a8a8\",\"color7\":\"#a8a8a8\",\"color8\":\"#545054\",\"color9\":\"#a80000\",\"color10\":\"#00a800\",\"color11\":\"#a85400\",\"color12\":\"#0000a8\",\"color13\":\"#a800a8\",\"color14\":\"#00a8a8\",\"color15\":\"#a8a8a8\",\"color16\":\"#545054\",\"color17\":\"#f85450\"},\"special\":{\"foreground\":\"#a8a8a8\",\"background\":\"#000000\",\"cursor\":\"#f85450\"}}",


"\
{\"colors\":{\"color0\":\"#292929\",\"color1\":\"#CF6A4C\",\"color2\":\"#19CB00\",\"color3\":\"#FAD07A\",\"color4\":\"#8197BF\",\"color5\":\"#8787AF\",\"color6\":\"#668799\",\"color7\":\"#888888\",\"color8\":\"#525252\",\"color9\":\"#CF6A4C\",\"color10\":\"#19CB00\",\"color11\":\"#FAD07A\",\"color12\":\"#8197BF\",\"color13\":\"#8787AF\",\"color14\":\"#668799\",\"color15\":\"#888888\",\"color16\":\"#525252\",\"color17\":\"#FF9D80\"},\"special\":{\"foreground\":\"#888888\",\"background\":\"#151515\",\"cursor\":\"#FF9D80\"}}",


"\
{\"colors\":{\"color0\":\"#1b1d1e\",\"color1\":\"#f92672\",\"color2\":\"#82b414\",\"color3\":\"#fd971f\",\"color4\":\"#4e82aa\",\"color5\":\"#8c54fe\",\"color6\":\"#465457\",\"color7\":\"#ccccc6\",\"color8\":\"#505354\",\"color9\":\"#f92672\",\"color10\":\"#82b414\",\"color11\":\"#fd971f\",\"color12\":\"#4e82aa\",\"color13\":\"#8c54fe\",\"color14\":\"#465457\",\"color15\":\"#ccccc6\",\"color16\":\"#505354\",\"color17\":\"#ff5995\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ff5995\"}}",


"\
{\"colors\":{\"color0\":\"#191919\",\"color1\":\"#803232\",\"color2\":\"#5b762f\",\"color3\":\"#aa9943\",\"color4\":\"#324c80\",\"color5\":\"#706c9a\",\"color6\":\"#92b19e\",\"color7\":\"#ffffff\",\"color8\":\"#252525\",\"color9\":\"#803232\",\"color10\":\"#5b762f\",\"color11\":\"#aa9943\",\"color12\":\"#324c80\",\"color13\":\"#706c9a\",\"color14\":\"#92b19e\",\"color15\":\"#ffffff\",\"color16\":\"#252525\",\"color17\":\"#982b2b\"},\"special\":{\"foreground\":\"#dddddd\",\"background\":\"#222222\",\"cursor\":\"#982b2b\"}}",


"\
{\"colors\":{\"color0\":\"#303430\",\"color1\":\"#bf7979\",\"color2\":\"#97b26b\",\"color3\":\"#cdcdc1\",\"color4\":\"#86a2be\",\"color5\":\"#d9b798\",\"color6\":\"#a1b5cd\",\"color7\":\"#ffffff\",\"color8\":\"#cdb5cd\",\"color9\":\"#bf7979\",\"color10\":\"#97b26b\",\"color11\":\"#cdcdc1\",\"color12\":\"#86a2be\",\"color13\":\"#d9b798\",\"color14\":\"#a1b5cd\",\"color15\":\"#ffffff\",\"color16\":\"#cdb5cd\",\"color17\":\"#f4a45f\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#f4a45f\"}}",


"\
{\"colors\":{\"color0\":\"#4A3637\",\"color1\":\"#D17B49\",\"color2\":\"#7B8748\",\"color3\":\"#AF865A\",\"color4\":\"#535C5C\",\"color5\":\"#775759\",\"color6\":\"#6D715E\",\"color7\":\"#C0B18B\",\"color8\":\"#785f60\",\"color9\":\"#D17B49\",\"color10\":\"#7B8748\",\"color11\":\"#AF865A\",\"color12\":\"#535C5C\",\"color13\":\"#775759\",\"color14\":\"#6D715E\",\"color15\":\"#C0B18B\",\"color16\":\"#4A3637\",\"color17\":\"#D17B49\"},\"special\":{\"foreground\":\"#C0B18B\",\"background\":\"#1F1F1F\",\"cursor\":\"#D17B49\"}}",


"\
{\"colors\":{\"color0\":\"#252525\",\"color1\":\"#ff9f95\",\"color2\":\"#a6e22e\",\"color3\":\"#fd971f\",\"color4\":\"#435e87\",\"color5\":\"#789ec6\",\"color6\":\"#5e7175\",\"color7\":\"#dbdcdc\",\"color8\":\"#454545\",\"color9\":\"#ff9f95\",\"color10\":\"#a6e22e\",\"color11\":\"#fd971f\",\"color12\":\"#435e87\",\"color13\":\"#789ec6\",\"color14\":\"#5e7175\",\"color15\":\"#dbdcdc\",\"color16\":\"#454545\",\"color17\":\"#ff8d80\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ff8d80\"}}",


"\
{\"colors\":{\"color0\":\"#666666\",\"color1\":\"#ff8278\",\"color2\":\"#bde077\",\"color3\":\"#eadc84\",\"color4\":\"#77bee0\",\"color5\":\"#dd91f3\",\"color6\":\"#ffc178\",\"color7\":\"#dddddd\",\"color8\":\"#888888\",\"color9\":\"#ff8278\",\"color10\":\"#bde077\",\"color11\":\"#eadc84\",\"color12\":\"#77bee0\",\"color13\":\"#dd91f3\",\"color14\":\"#ffc178\",\"color15\":\"#dddddd\",\"color16\":\"#888888\",\"color17\":\"#ff8278\"},\"special\":{\"foreground\":\"#dcdccc\",\"background\":\"#575757\",\"cursor\":\"#ff8278\"}}",


"\
{\"colors\":{\"color0\":\"#4a4b4a\",\"color1\":\"#d7699a\",\"color2\":\"#80d468\",\"color3\":\"#d7a169\",\"color4\":\"#6985d7\",\"color5\":\"#c86ad4\",\"color6\":\"#6fccd1\",\"color7\":\"#dbdcdc\",\"color8\":\"#696969\",\"color9\":\"#d7699a\",\"color10\":\"#80d468\",\"color11\":\"#d7a169\",\"color12\":\"#6985d7\",\"color13\":\"#c86ad4\",\"color14\":\"#6fccd1\",\"color15\":\"#dbdcdc\",\"color16\":\"#696969\",\"color17\":\"#f5a2b5\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#f5a2b5\"}}",


"\
{\"colors\":{\"color0\":\"#1c1709\",\"color1\":\"#8e4317\",\"color2\":\"#787200\",\"color3\":\"#945c00\",\"color4\":\"#315094\",\"color5\":\"#5c2e40\",\"color6\":\"#00617d\",\"color7\":\"#c2b9a1\",\"color8\":\"#4f4939\",\"color9\":\"#8e4317\",\"color10\":\"#787200\",\"color11\":\"#945c00\",\"color12\":\"#315094\",\"color13\":\"#5c2e40\",\"color14\":\"#00617d\",\"color15\":\"#c2b9a1\",\"color16\":\"#4f4939\",\"color17\":\"#f07935\"},\"special\":{\"foreground\":\"#c2b9a1\",\"background\":\"#1c1709\",\"cursor\":\"#f07935\"}}",


"\
{\"colors\":{\"color0\":\"#4A3637\",\"color1\":\"#D17B49\",\"color2\":\"#7B8748\",\"color3\":\"#AF865A\",\"color4\":\"#535C5C\",\"color5\":\"#775759\",\"color6\":\"#6D715E\",\"color7\":\"#C0B18B\",\"color8\":\"#7e5c5e\",\"color9\":\"#D17B49\",\"color10\":\"#7B8748\",\"color11\":\"#AF865A\",\"color12\":\"#535C5C\",\"color13\":\"#775759\",\"color14\":\"#6D715E\",\"color15\":\"#C0B18B\",\"color16\":\"#402E2E\",\"color17\":\"#AC5D2F\"},\"special\":{\"foreground\":\"#C0B18B\",\"background\":\"#1F1F1F\",\"cursor\":\"#AC5D2F\"}}",


"\
{\"colors\":{\"color0\":\"#202020\",\"color1\":\"#ff6565\",\"color2\":\"#93d44f\",\"color3\":\"#eab93d\",\"color4\":\"#204a87\",\"color5\":\"#ce5c00\",\"color6\":\"#89b6e2\",\"color7\":\"#cccccc\",\"color8\":\"#606060\",\"color9\":\"#ff6565\",\"color10\":\"#93d44f\",\"color11\":\"#eab93d\",\"color12\":\"#204a87\",\"color13\":\"#ce5c00\",\"color14\":\"#89b6e2\",\"color15\":\"#cccccc\",\"color16\":\"#606060\",\"color17\":\"#ff8d8d\"},\"special\":{\"foreground\":\"#aaaaaa\",\"background\":\"#000000\",\"cursor\":\"#ff8d8d\"}}",


"\
{\"colors\":{\"color0\":\"#2e3436\",\"color1\":\"#cc0000\",\"color2\":\"#4e9a06\",\"color3\":\"#c4a000\",\"color4\":\"#3465a4\",\"color5\":\"#75507b\",\"color6\":\"#06989a\",\"color7\":\"#d3d7cf\",\"color8\":\"#555753\",\"color9\":\"#cc0000\",\"color10\":\"#4e9a06\",\"color11\":\"#c4a000\",\"color12\":\"#3465a4\",\"color13\":\"#75507b\",\"color14\":\"#06989a\",\"color15\":\"#d3d7cf\",\"color16\":\"#555753\",\"color17\":\"#ef2929\"},\"special\":{\"foreground\":\"#babdb6\",\"background\":\"#000000\",\"cursor\":\"#ef2929\"}}",


"\
{\"colors\":{\"color0\":\"#2e3436\",\"color1\":\"#cc0000\",\"color2\":\"#4e9a06\",\"color3\":\"#c4a000\",\"color4\":\"#3465a4\",\"color5\":\"#75507b\",\"color6\":\"#06989a\",\"color7\":\"#d3d7cf\",\"color8\":\"#555753\",\"color9\":\"#cc0000\",\"color10\":\"#4e9a06\",\"color11\":\"#c4a000\",\"color12\":\"#3465a4\",\"color13\":\"#75507b\",\"color14\":\"#06989a\",\"color15\":\"#d3d7cf\",\"color16\":\"#555753\",\"color17\":\"#ef2929\"},\"special\":{\"foreground\":\"#dedede\",\"background\":\"#2b2b2b\",\"cursor\":\"#ef2929\"}}",


"\
{\"colors\":{\"color0\":\"#191919\",\"color1\":\"#eb3d51\",\"color2\":\"#66b61a\",\"color3\":\"#d98e1d\",\"color4\":\"#23ffa8\",\"color5\":\"#ff00da\",\"color6\":\"#68a783\",\"color7\":\"#eaeaea\",\"color8\":\"#484848\",\"color9\":\"#eb3d51\",\"color10\":\"#66b61a\",\"color11\":\"#d98e1d\",\"color12\":\"#23ffa8\",\"color13\":\"#ff00da\",\"color14\":\"#68a783\",\"color15\":\"#eaeaea\",\"color16\":\"#484848\",\"color17\":\"#be6262\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#be6262\"}}",


"\
{\"colors\":{\"color0\":\"#202020\",\"color1\":\"#a07070\",\"color2\":\"#70a070\",\"color3\":\"#a0a070\",\"color4\":\"#7070a0\",\"color5\":\"#a070a0\",\"color6\":\"#70a0a0\",\"color7\":\"#a0a0a0\",\"color8\":\"#505050\",\"color9\":\"#a07070\",\"color10\":\"#70a070\",\"color11\":\"#a0a070\",\"color12\":\"#7070a0\",\"color13\":\"#a070a0\",\"color14\":\"#70a0a0\",\"color15\":\"#a0a0a0\",\"color16\":\"#505050\",\"color17\":\"#d07070\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#d07070\"}}",


"\
{\"colors\":{\"color0\":\"#1c1c1c\",\"color1\":\"#d81860\",\"color2\":\"#60ff60\",\"color3\":\"#f9fd75\",\"color4\":\"#4695c8\",\"color5\":\"#a78edb\",\"color6\":\"#43afce\",\"color7\":\"#f3ebe2\",\"color8\":\"#4d4d4d\",\"color9\":\"#d81860\",\"color10\":\"#60ff60\",\"color11\":\"#f9fd75\",\"color12\":\"#4695c8\",\"color13\":\"#a78edb\",\"color14\":\"#43afce\",\"color15\":\"#f3ebe2\",\"color16\":\"#4d4d4d\",\"color17\":\"#f00060\"},\"special\":{\"foreground\":\"#66ff66\",\"background\":\"#101010\",\"cursor\":\"#f00060\"}}",


"\
{\"colors\":{\"color0\":\"#0F0E0D\",\"color1\":\"#845336\",\"color2\":\"#57553C\",\"color3\":\"#A17E3E\",\"color4\":\"#43454F\",\"color5\":\"#604848\",\"color6\":\"#5C6652\",\"color7\":\"#A18B62\",\"color8\":\"#383332\",\"color9\":\"#845336\",\"color10\":\"#57553C\",\"color11\":\"#A17E3E\",\"color12\":\"#43454F\",\"color13\":\"#604848\",\"color14\":\"#5C6652\",\"color15\":\"#A18B62\",\"color16\":\"#383332\",\"color17\":\"#8C4F4A\"},\"special\":{\"foreground\":\"#DABA8B\",\"background\":\"#191716\",\"cursor\":\"#8C4F4A\"}}",


"\
{\"colors\":{\"color0\":\"#202020\",\"color1\":\"#bf3f34\",\"color2\":\"#707d22\",\"color3\":\"#bf7a29\",\"color4\":\"#627a92\",\"color5\":\"#75507b\",\"color6\":\"#757978\",\"color7\":\"#b2a191\",\"color8\":\"#404040\",\"color9\":\"#bf3f34\",\"color10\":\"#707d22\",\"color11\":\"#bf7a29\",\"color12\":\"#627a92\",\"color13\":\"#75507b\",\"color14\":\"#757978\",\"color15\":\"#b2a191\",\"color16\":\"#404040\",\"color17\":\"#ff6c5f\"},\"special\":{\"foreground\":\"#b2a191\",\"background\":\"#171717\",\"cursor\":\"#ff6c5f\"}}",


"\
{\"colors\":{\"color0\":\"#202020\",\"color1\":\"#b91e2e\",\"color2\":\"#81957c\",\"color3\":\"#f9bb80\",\"color4\":\"#356579\",\"color5\":\"#2d2031\",\"color6\":\"#0b3452\",\"color7\":\"#909090\",\"color8\":\"#606060\",\"color9\":\"#b91e2e\",\"color10\":\"#81957c\",\"color11\":\"#f9bb80\",\"color12\":\"#356579\",\"color13\":\"#2d2031\",\"color14\":\"#0b3452\",\"color15\":\"#909090\",\"color16\":\"#606060\",\"color17\":\"#d14548\"},\"special\":{\"foreground\":\"#d2c5bc\",\"background\":\"#101010\",\"cursor\":\"#d14548\"}}",


"\
{\"colors\":{\"color0\":\"#666666\",\"color1\":\"#CC6699\",\"color2\":\"#99CC66\",\"color3\":\"#CC9966\",\"color4\":\"#6699CC\",\"color5\":\"#9966CC\",\"color6\":\"#66CC99\",\"color7\":\"#CCCCCC\",\"color8\":\"#999999\",\"color9\":\"#CC6699\",\"color10\":\"#99CC66\",\"color11\":\"#CC9966\",\"color12\":\"#6699CC\",\"color13\":\"#9966CC\",\"color14\":\"#66CC99\",\"color15\":\"#CCCCCC\",\"color16\":\"#999999\",\"color17\":\"#FF99CC\"},\"special\":{\"foreground\":\"#CCCCCC\",\"background\":\"#333333\",\"cursor\":\"#FF99CC\"}}",


"\
{\"colors\":{\"color0\":\"#666666\",\"color1\":\"#cc6666\",\"color2\":\"#66cc99\",\"color3\":\"#cc9966\",\"color4\":\"#6699cc\",\"color5\":\"#cc6699\",\"color6\":\"#66cccc\",\"color7\":\"#cccccc\",\"color8\":\"#999999\",\"color9\":\"#cc6666\",\"color10\":\"#66cc99\",\"color11\":\"#cc9966\",\"color12\":\"#6699cc\",\"color13\":\"#cc6699\",\"color14\":\"#66cccc\",\"color15\":\"#cccccc\",\"color16\":\"#999999\",\"color17\":\"#ff9999\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#ff9999\"}}",


"\
{\"colors\":{\"color0\":\"#101010\",\"color1\":\"#E84F4F\",\"color2\":\"#B8D68C\",\"color3\":\"#E1AA5D\",\"color4\":\"#7DC1CF\",\"color5\":\"#9B64FB\",\"color6\":\"#6D878D\",\"color7\":\"#DDDDDD\",\"color8\":\"#404040\",\"color9\":\"#E84F4F\",\"color10\":\"#B8D68C\",\"color11\":\"#E1AA5D\",\"color12\":\"#7DC1CF\",\"color13\":\"#9B64FB\",\"color14\":\"#6D878D\",\"color15\":\"#DDDDDD\",\"color16\":\"#404040\",\"color17\":\"#D23D3D\"},\"special\":{\"foreground\":\"#D7D0C7\",\"background\":\"#151515\",\"cursor\":\"#D23D3D\"}}",


"\
{\"colors\":{\"color0\":\"#1e2320\",\"color1\":\"#705050\",\"color2\":\"#60b48a\",\"color3\":\"#dfaf8f\",\"color4\":\"#506070\",\"color5\":\"#dc8cc3\",\"color6\":\"#8cd0d3\",\"color7\":\"#dcdccc\",\"color8\":\"#709080\",\"color9\":\"#705050\",\"color10\":\"#60b48a\",\"color11\":\"#dfaf8f\",\"color12\":\"#506070\",\"color13\":\"#dc8cc3\",\"color14\":\"#8cd0d3\",\"color15\":\"#dcdccc\",\"color16\":\"#709080\",\"color17\":\"#dca3a3\"},\"special\":{\"foreground\":\"#ffffff\",\"background\":\"#000000\",\"cursor\":\"#dca3a3\"}}",


"\
{\"special\":{\"background\":\"#073642\",\"foreground\":\"#fdf6e3\",\"cursor\":\"#dc322f\"},\"colors\":{\"color0\":\"#073642\",\"color1\":\"#dc322f\",\"color2\":\"#859900\",\"color3\":\"#b58900\",\"color4\":\"#268bd2\",\"color5\":\"#d33682\",\"color6\":\"#2aa198\",\"color7\":\"#eee8d5\",\"color8\":\"#6c7c80\",\"color9\":\"#dc322f\",\"color10\":\"#859900\",\"color11\":\"#b58900\",\"color12\":\"#268bd2\",\"color13\":\"#d33682\",\"color14\":\"#2aa198\",\"color15\":\"#eee8d5\"}}",


"\
{\"special\":{\"background\":\"#eee8d5\",\"foreground\":\"#002b36\",\"cursor\":\"#dc322f\"},\"colors\":{\"color0\":\"#eee8d5\",\"color1\":\"#dc322f\",\"color2\":\"#859900\",\"color3\":\"#b58900\",\"color4\":\"#268bd2\",\"color5\":\"#d33682\",\"color6\":\"#2aa198\",\"color7\":\"#073642\",\"color8\":\"#6c7c80\",\"color9\":\"#dc322f\",\"color10\":\"#859900\",\"color11\":\"#b58900\",\"color12\":\"#268bd2\",\"color13\":\"#d33682\",\"color14\":\"#2aa198\",\"color15\":\"#073642\"}}",


"\
{\"special\":{\"background\":\"#322622\",\"foreground\":\"#8e8f8d\",\"cursor\":\"#8e8f8d\"},\"colors\":{\"color0\":\"#322622\",\"color1\":\"#fc5526\",\"color2\":\"#83973f\",\"color3\":\"#9e9022\",\"color4\":\"#7f8dbf\",\"color5\":\"#ce7673\",\"color6\":\"#6e978b\",\"color7\":\"#8e8f8d\",\"color8\":\"#919078\",\"color9\":\"#dc721a\",\"color10\":\"#609d59\",\"color11\":\"#b1891a\",\"color12\":\"#6b8ed6\",\"color13\":\"#9d80d3\",\"color14\":\"#229ea0\",\"color15\":\"#8e8f8d\"}}",


"\
{\"special\":{\"background\":\"#f3f1f5\",\"foreground\":\"#53575a\",\"cursor\":\"#53575a\"},\"colors\":{\"color0\":\"#f3f1f5\",\"color1\":\"#9b3132\",\"color2\":\"#306130\",\"color3\":\"#73500a\",\"color4\":\"#4c547e\",\"color5\":\"#883c64\",\"color6\":\"#186060\",\"color7\":\"#53575a\",\"color8\":\"#735e3f\",\"color9\":\"#9b474d\",\"color10\":\"#4e6938\",\"color11\":\"#8e5319\",\"color12\":\"#5c5d8c\",\"color13\":\"#a24055\",\"color14\":\"#2d6978\",\"color15\":\"#53575a\"}}",


"\
{\"special\":{\"background\":\"#1f252d\",\"foreground\":\"#a2a8ba\",\"cursor\":\"#a2a8ba\"},\"colors\":{\"color0\":\"#1f252d\",\"color1\":\"#cb8d56\",\"color2\":\"#8ba089\",\"color3\":\"#a79c46\",\"color4\":\"#8c9abe\",\"color5\":\"#b190af\",\"color6\":\"#8e9aba\",\"color7\":\"#a2a8ba\",\"color8\":\"#a29899\",\"color9\":\"#d39d74\",\"color10\":\"#80b48f\",\"color11\":\"#bda75a\",\"color12\":\"#9ca5de\",\"color13\":\"#c69ac6\",\"color14\":\"#8caeb6\",\"color15\":\"#a2a8ba\"}}",


"\
{\"special\":{\"background\":\"#fff5f3\",\"foreground\":\"#4d696f\",\"cursor\":\"#4d696f\"},\"colors\":{\"color0\":\"#fff5f3\",\"color1\":\"#df2014\",\"color2\":\"#587d0a\",\"color3\":\"#8a6f00\",\"color4\":\"#196bec\",\"color5\":\"#c83884\",\"color6\":\"#2a79a2\",\"color7\":\"#4d696f\",\"color8\":\"#8b6781\",\"color9\":\"#9a511a\",\"color10\":\"#11742f\",\"color11\":\"#8d590a\",\"color12\":\"#004fff\",\"color13\":\"#9536c0\",\"color14\":\"#046c92\",\"color15\":\"#4d696f\"}}",


"\
{\"special\":{\"background\":\"#18161d\",\"foreground\":\"#a4a0ac\",\"cursor\":\"#a4a0ac\"},\"colors\":{\"color0\":\"#18161d\",\"color1\":\"#ff7780\",\"color2\":\"#68b183\",\"color3\":\"#bda014\",\"color4\":\"#54a5ff\",\"color5\":\"#da89b2\",\"color6\":\"#79a8c3\",\"color7\":\"#a4a0ac\",\"color8\":\"#bd9b87\",\"color9\":\"#ef873d\",\"color10\":\"#08b885\",\"color11\":\"#d39710\",\"color12\":\"#a294fe\",\"color13\":\"#ec7aca\",\"color14\":\"#4ab0b9\",\"color15\":\"#a4a0ac\"}}",


"\
{\"special\":{\"background\":\"#dadce8\",\"foreground\":\"#63606b\",\"cursor\":\"#63606b\"},\"colors\":{\"color0\":\"#dadce8\",\"color1\":\"#c01c10\",\"color2\":\"#2a7000\",\"color3\":\"#825a0a\",\"color4\":\"#025ccd\",\"color5\":\"#a43878\",\"color6\":\"#49628d\",\"color7\":\"#63606b\",\"color8\":\"#80565d\",\"color9\":\"#b43036\",\"color10\":\"#007214\",\"color11\":\"#91520a\",\"color12\":\"#5046eb\",\"color13\":\"#ba166b\",\"color14\":\"#076c76\",\"color15\":\"#63606b\"}}",


"\
{\"special\":{\"background\":\"#2b353c\",\"foreground\":\"#abacac\",\"cursor\":\"#abacac\"},\"colors\":{\"color0\":\"#2b353c\",\"color1\":\"#be9604\",\"color2\":\"#0eb40e\",\"color3\":\"#79aa00\",\"color4\":\"#00acb3\",\"color5\":\"#ba964c\",\"color6\":\"#5fa98f\",\"color7\":\"#abacac\",\"color8\":\"#ab9699\",\"color9\":\"#bdae13\",\"color10\":\"#3ac53a\",\"color11\":\"#9ab800\",\"color12\":\"#20bdce\",\"color13\":\"#cca57a\",\"color14\":\"#6fb9ae\",\"color15\":\"#abacac\"}}",


"\
{\"special\":{\"background\":\"#34403c\",\"foreground\":\"#a5a8a7\",\"cursor\":\"#a5a8a7\"},\"colors\":{\"color0\":\"#34403c\",\"color1\":\"#ff855a\",\"color2\":\"#6ab78a\",\"color3\":\"#b6aa1a\",\"color4\":\"#5daeee\",\"color5\":\"#d495b4\",\"color6\":\"#6eb2bc\",\"color7\":\"#a5a8a7\",\"color8\":\"#96aca7\",\"color9\":\"#df993a\",\"color10\":\"#4abb88\",\"color11\":\"#99b22a\",\"color12\":\"#3caffe\",\"color13\":\"#d091db\",\"color14\":\"#4ab4d3\",\"color15\":\"#a5a8a7\"}}",


"\
{\"special\":{\"background\":\"#293345\",\"foreground\":\"#9b999e\",\"cursor\":\"#9b999e\"},\"colors\":{\"color0\":\"#293345\",\"color1\":\"#fe6d32\",\"color2\":\"#6ba86d\",\"color3\":\"#af9a0a\",\"color4\":\"#679ed7\",\"color5\":\"#bc8ab6\",\"color6\":\"#6ea590\",\"color7\":\"#9b999e\",\"color8\":\"#a39799\",\"color9\":\"#df8251\",\"color10\":\"#7aa747\",\"color11\":\"#ba953a\",\"color12\":\"#3ba1e8\",\"color13\":\"#c97ed7\",\"color14\":\"#52a6b1\",\"color15\":\"#9b999e\"}}",


"\
{\"special\":{\"background\":\"#f4f1f0\",\"foreground\":\"#52505e\",\"cursor\":\"#52505e\"},\"colors\":{\"color0\":\"#f4f1f0\",\"color1\":\"#a01c10\",\"color2\":\"#0b5d46\",\"color3\":\"#545422\",\"color4\":\"#1c4f9f\",\"color5\":\"#942166\",\"color6\":\"#185870\",\"color7\":\"#52505e\",\"color8\":\"#575050\",\"color9\":\"#913210\",\"color10\":\"#2a5d08\",\"color11\":\"#774611\",\"color12\":\"#5440a7\",\"color13\":\"#8d0e9b\",\"color14\":\"#0e577b\",\"color15\":\"#52505e\"}}",


"\
{\"special\":{\"background\":\"#141a19\",\"foreground\":\"#928f90\",\"cursor\":\"#928f90\"},\"colors\":{\"color0\":\"#141a19\",\"color1\":\"#ff1414\",\"color2\":\"#009600\",\"color3\":\"#928100\",\"color4\":\"#4f76ff\",\"color5\":\"#dd38bc\",\"color6\":\"#358aaa\",\"color7\":\"#928f90\",\"color8\":\"#927b80\",\"color9\":\"#ff5500\",\"color10\":\"#3aa43a\",\"color11\":\"#b38a00\",\"color12\":\"#8082ff\",\"color13\":\"#d159fd\",\"color14\":\"#1da190\",\"color15\":\"#928f90\"}}",


"\
{\"special\":{\"background\":\"#202427\",\"foreground\":\"#798ba5\",\"cursor\":\"#798ba5\"},\"colors\":{\"color0\":\"#202427\",\"color1\":\"#ca7162\",\"color2\":\"#589584\",\"color3\":\"#988b21\",\"color4\":\"#2b92c8\",\"color5\":\"#b572b6\",\"color6\":\"#4f91b5\",\"color7\":\"#798ba5\",\"color8\":\"#888a8a\",\"color9\":\"#c47818\",\"color10\":\"#2c9a81\",\"color11\":\"#a2864b\",\"color12\":\"#6987d7\",\"color13\":\"#987dc2\",\"color14\":\"#1f96b0\",\"color15\":\"#798ba5\"}}",


"\
{\"special\":{\"background\":\"#1e1e1e\",\"foreground\":\"#d4d4d4\",\"cursor\":\"#f44747\"},\"colors\":{\"color0\":\"#1e1e1e\",\"color1\":\"#f44747\",\"color2\":\"#d7ba7d\",\"color3\":\"#608b4e\",\"color4\":\"#569cd6\",\"color5\":\"#4ec9b0\",\"color6\":\"#c586c0\",\"color7\":\"#d4d4d4\",\"color8\":\"#808080\",\"color9\":\"#f44747\",\"color10\":\"#d7ba7d\",\"color11\":\"#608b4e\",\"color12\":\"#569cd6\",\"color13\":\"#4ec9b0\",\"color14\":\"#c586c0\",\"color15\":\"#d4d4d4\"}}",


"\
{\"special\":{\"background\":\"#3f3f3f\",\"foreground\":\"#dcdccc\",\"cursor\":\"#cc9393\"},\"colors\":{\"color0\":\"#3f3f3f\",\"color1\":\"#cc9393\",\"color2\":\"#7f9f7f\",\"color3\":\"#d0bf8f\",\"color4\":\"#6ca0a3\",\"color5\":\"#dc8cc3\",\"color6\":\"#93e0e3\",\"color7\":\"#dcdccc\",\"color8\":\"#828282\",\"color9\":\"#cc9393\",\"color10\":\"#7f9f7f\",\"color11\":\"#d0bf8f\",\"color12\":\"#6ca0a3\",\"color13\":\"#dc8cc3\",\"color14\":\"#93e0e3\",\"color15\":\"#dcdccc\"}}",

"{\"special\":{\"background\":\"#1c1b19\",\"foreground\":\"#d0bfa1\",\"cursor\":\"#fce8c3\"},\"colors\":{\"color0\":\"#1c1b19\",\"color1\":\"#ef2f27\",\"color2\":\"#519f50\",\"color3\":\"#fbb829\",\"color4\":\"#2c78bf\",\"color5\":\"#e02c6d\",\"color6\":\"#0aaeb3\",\"color7\":\"#d0bfa1\",\"color8\":\"#918175\",\"color9\":\"#f75341\",\"color10\":\"#98bc37\",\"color11\":\"#fed06e\",\"color12\":\"#68a8e4\",\"color13\":\"#ff5c8f\",\"color14\":\"#53fde9\",\"color15\":\"#fce8c3\"}}",

];
